/* DeleteStatement.c generated by valac 0.56.3, the Vala compiler
 * generated from DeleteStatement.vala, do not modify */

/*  This file is part of Cawbird, a Gtk+ linux Twitter client forked from Corebird.
 *  Copyright (C) 2020 IBBoard
 *
 *  Cawbird is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  Cawbird is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with cawbird.  If not, see <http://www.gnu.org/licenses/>.
 */

#include "cawbird.h"
#include <glib.h>
#include <stdlib.h>
#include <string.h>
#include <glib-object.h>
#include <sqlite3.h>

enum  {
	SQL_DELETE_STATEMENT_0_PROPERTY,
	SQL_DELETE_STATEMENT_NUM_PROPERTIES
};
static GParamSpec* sql_delete_statement_properties[SQL_DELETE_STATEMENT_NUM_PROPERTIES];
#define _sqlite3_finalize0(var) ((var == NULL) ? NULL : (var = (sqlite3_finalize (var), NULL)))

struct _SqlDeleteStatementPrivate {
	gboolean ran;
};

static gint SqlDeleteStatement_private_offset;
static gpointer sql_delete_statement_parent_class = NULL;

static void sql_delete_statement_finalize (GObject * obj);
static GType sql_delete_statement_get_type_once (void);
static inline gpointer _vala_memdup2 (gconstpointer mem,
                        gsize byte_size);

static inline gpointer
sql_delete_statement_get_instance_private (SqlDeleteStatement* self)
{
	return G_STRUCT_MEMBER_P (self, SqlDeleteStatement_private_offset);
}

SqlDeleteStatement*
sql_delete_statement_construct (GType object_type,
                                const gchar* table_name)
{
	SqlDeleteStatement * self = NULL;
	GString* _tmp0_;
	GString* _tmp1_;
	GString* _tmp2_;
#line 22 "../src/sql/DeleteStatement.vala"
	g_return_val_if_fail (table_name != NULL, NULL);
#line 22 "../src/sql/DeleteStatement.vala"
	self = (SqlDeleteStatement*) sql_base_statement_construct (object_type, SQL_TYPE_DELETE_STATEMENT, (GBoxedCopyFunc) g_object_ref, (GDestroyNotify) g_object_unref);
#line 23 "../src/sql/DeleteStatement.vala"
	_tmp0_ = ((SqlBaseStatement*) self)->query_builder;
#line 23 "../src/sql/DeleteStatement.vala"
	_tmp1_ = g_string_append (_tmp0_, "DELETE FROM `");
#line 23 "../src/sql/DeleteStatement.vala"
	_tmp2_ = g_string_append (_tmp1_, table_name);
#line 23 "../src/sql/DeleteStatement.vala"
	g_string_append (_tmp2_, "` ");
#line 22 "../src/sql/DeleteStatement.vala"
	return self;
#line 76 "DeleteStatement.c"
}

SqlDeleteStatement*
sql_delete_statement_new (const gchar* table_name)
{
#line 22 "../src/sql/DeleteStatement.vala"
	return sql_delete_statement_construct (SQL_TYPE_DELETE_STATEMENT, table_name);
#line 84 "DeleteStatement.c"
}

static gint
vala_g_ptr_array_get_length (GPtrArray* self)
{
	gint result;
#line 5795 "glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, 0);
#line 5796 "glib-2.0.vapi"
	result = (gint) self->len;
#line 5796 "glib-2.0.vapi"
	return result;
#line 97 "DeleteStatement.c"
}

gint
sql_delete_statement_run (SqlDeleteStatement* self)
{
	sqlite3_stmt* stmt = NULL;
	GString* _tmp0_;
	gint ok = 0;
	sqlite3* _tmp1_;
	GString* _tmp2_;
	const gchar* _tmp3_;
	sqlite3_stmt* _tmp4_ = NULL;
	gint _tmp5_;
	sqlite3_stmt* _tmp18_;
	sqlite3* _tmp23_;
	gint result;
#line 26 "../src/sql/DeleteStatement.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 27 "../src/sql/DeleteStatement.vala"
	if (!((SqlBaseStatement*) self)->where_set) {
#line 28 "../src/sql/DeleteStatement.vala"
		g_critical ("DeleteStatement.vala:28: Bare DELETE statements are not allowed!");
#line 29 "../src/sql/DeleteStatement.vala"
		result = -1;
#line 29 "../src/sql/DeleteStatement.vala"
		return result;
#line 124 "DeleteStatement.c"
	}
#line 32 "../src/sql/DeleteStatement.vala"
	_tmp0_ = ((SqlBaseStatement*) self)->query_builder;
#line 32 "../src/sql/DeleteStatement.vala"
	g_string_append (_tmp0_, ";");
#line 33 "../src/sql/DeleteStatement.vala"
	_tmp1_ = ((SqlBaseStatement*) self)->db;
#line 33 "../src/sql/DeleteStatement.vala"
	_tmp2_ = ((SqlBaseStatement*) self)->query_builder;
#line 33 "../src/sql/DeleteStatement.vala"
	_tmp3_ = _tmp2_->str;
#line 33 "../src/sql/DeleteStatement.vala"
	_tmp5_ = sqlite3_prepare_v2 (_tmp1_, _tmp3_, -1, &_tmp4_, NULL);
#line 33 "../src/sql/DeleteStatement.vala"
	_sqlite3_finalize0 (stmt);
#line 33 "../src/sql/DeleteStatement.vala"
	stmt = _tmp4_;
#line 33 "../src/sql/DeleteStatement.vala"
	ok = _tmp5_;
#line 35 "../src/sql/DeleteStatement.vala"
	if (ok != SQLITE_OK) {
#line 146 "DeleteStatement.c"
		sqlite3* _tmp6_;
		const gchar* _tmp7_;
#line 36 "../src/sql/DeleteStatement.vala"
		_tmp6_ = ((SqlBaseStatement*) self)->db;
#line 36 "../src/sql/DeleteStatement.vala"
		_tmp7_ = sqlite3_errmsg (_tmp6_);
#line 36 "../src/sql/DeleteStatement.vala"
		g_critical ("DeleteStatement.vala:36: %s", _tmp7_);
#line 37 "../src/sql/DeleteStatement.vala"
		result = -1;
#line 37 "../src/sql/DeleteStatement.vala"
		_sqlite3_finalize0 (stmt);
#line 37 "../src/sql/DeleteStatement.vala"
		return result;
#line 161 "DeleteStatement.c"
	}
	{
		gint i = 0;
#line 39 "../src/sql/DeleteStatement.vala"
		i = 0;
#line 167 "DeleteStatement.c"
		{
			gboolean _tmp8_ = FALSE;
#line 39 "../src/sql/DeleteStatement.vala"
			_tmp8_ = TRUE;
#line 39 "../src/sql/DeleteStatement.vala"
			while (TRUE) {
#line 174 "DeleteStatement.c"
				GPtrArray* _tmp10_;
				gint _tmp11_;
				gint _tmp12_;
				sqlite3_stmt* _tmp13_;
				GPtrArray* _tmp14_;
				gconstpointer _tmp15_;
				gchar* _tmp16_;
				GDestroyNotify _tmp17_;
#line 39 "../src/sql/DeleteStatement.vala"
				if (!_tmp8_) {
#line 185 "DeleteStatement.c"
					gint _tmp9_;
#line 39 "../src/sql/DeleteStatement.vala"
					_tmp9_ = i;
#line 39 "../src/sql/DeleteStatement.vala"
					i = _tmp9_ + 1;
#line 191 "DeleteStatement.c"
				}
#line 39 "../src/sql/DeleteStatement.vala"
				_tmp8_ = FALSE;
#line 39 "../src/sql/DeleteStatement.vala"
				_tmp10_ = ((SqlBaseStatement*) self)->bindings;
#line 39 "../src/sql/DeleteStatement.vala"
				_tmp11_ = vala_g_ptr_array_get_length (_tmp10_);
#line 39 "../src/sql/DeleteStatement.vala"
				_tmp12_ = _tmp11_;
#line 39 "../src/sql/DeleteStatement.vala"
				if (!(i < _tmp12_)) {
#line 39 "../src/sql/DeleteStatement.vala"
					break;
#line 205 "DeleteStatement.c"
				}
#line 40 "../src/sql/DeleteStatement.vala"
				_tmp13_ = stmt;
#line 40 "../src/sql/DeleteStatement.vala"
				_tmp14_ = ((SqlBaseStatement*) self)->bindings;
#line 40 "../src/sql/DeleteStatement.vala"
				_tmp15_ = g_ptr_array_index (_tmp14_, (guint) i);
#line 40 "../src/sql/DeleteStatement.vala"
				_tmp16_ = g_strdup ((const gchar*) _tmp15_);
#line 40 "../src/sql/DeleteStatement.vala"
				_tmp17_ = g_free;
#line 40 "../src/sql/DeleteStatement.vala"
				sqlite3_bind_text (_tmp13_, i + 1, _tmp16_, -1, _tmp17_);
#line 219 "DeleteStatement.c"
			}
		}
	}
#line 42 "../src/sql/DeleteStatement.vala"
	_tmp18_ = stmt;
#line 42 "../src/sql/DeleteStatement.vala"
	ok = sqlite3_step (_tmp18_);
#line 43 "../src/sql/DeleteStatement.vala"
	if (ok == SQLITE_ERROR) {
#line 229 "DeleteStatement.c"
		sqlite3* _tmp19_;
		const gchar* _tmp20_;
		sqlite3_stmt* _tmp21_;
		const gchar* _tmp22_;
#line 44 "../src/sql/DeleteStatement.vala"
		_tmp19_ = ((SqlBaseStatement*) self)->db;
#line 44 "../src/sql/DeleteStatement.vala"
		_tmp20_ = sqlite3_errmsg (_tmp19_);
#line 44 "../src/sql/DeleteStatement.vala"
		g_critical ("DeleteStatement.vala:44: %s", _tmp20_);
#line 45 "../src/sql/DeleteStatement.vala"
		_tmp21_ = stmt;
#line 45 "../src/sql/DeleteStatement.vala"
		_tmp22_ = sqlite3_sql (_tmp21_);
#line 45 "../src/sql/DeleteStatement.vala"
		g_critical ("DeleteStatement.vala:45: %s", _tmp22_);
#line 46 "../src/sql/DeleteStatement.vala"
		result = -1;
#line 46 "../src/sql/DeleteStatement.vala"
		_sqlite3_finalize0 (stmt);
#line 46 "../src/sql/DeleteStatement.vala"
		return result;
#line 252 "DeleteStatement.c"
	}
#line 48 "../src/sql/DeleteStatement.vala"
	self->priv->ran = TRUE;
#line 49 "../src/sql/DeleteStatement.vala"
	_tmp23_ = ((SqlBaseStatement*) self)->db;
#line 49 "../src/sql/DeleteStatement.vala"
	result = sqlite3_changes (_tmp23_);
#line 49 "../src/sql/DeleteStatement.vala"
	_sqlite3_finalize0 (stmt);
#line 49 "../src/sql/DeleteStatement.vala"
	return result;
#line 264 "DeleteStatement.c"
}

static void
sql_delete_statement_class_init (SqlDeleteStatementClass * klass,
                                 gpointer klass_data)
{
#line 19 "../src/sql/DeleteStatement.vala"
	sql_delete_statement_parent_class = g_type_class_peek_parent (klass);
#line 19 "../src/sql/DeleteStatement.vala"
	g_type_class_adjust_private_offset (klass, &SqlDeleteStatement_private_offset);
#line 19 "../src/sql/DeleteStatement.vala"
	G_OBJECT_CLASS (klass)->finalize = sql_delete_statement_finalize;
#line 277 "DeleteStatement.c"
}

static void
sql_delete_statement_instance_init (SqlDeleteStatement * self,
                                    gpointer klass)
{
#line 19 "../src/sql/DeleteStatement.vala"
	self->priv = sql_delete_statement_get_instance_private (self);
#line 20 "../src/sql/DeleteStatement.vala"
	self->priv->ran = FALSE;
#line 288 "DeleteStatement.c"
}

static void
sql_delete_statement_finalize (GObject * obj)
{
	SqlDeleteStatement * self;
#line 19 "../src/sql/DeleteStatement.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, SQL_TYPE_DELETE_STATEMENT, SqlDeleteStatement);
#line 19 "../src/sql/DeleteStatement.vala"
	G_OBJECT_CLASS (sql_delete_statement_parent_class)->finalize (obj);
#line 299 "DeleteStatement.c"
}

static GType
sql_delete_statement_get_type_once (void)
{
	static const GTypeInfo g_define_type_info = { sizeof (SqlDeleteStatementClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) sql_delete_statement_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (SqlDeleteStatement), 0, (GInstanceInitFunc) sql_delete_statement_instance_init, NULL };
	GType sql_delete_statement_type_id;
	sql_delete_statement_type_id = g_type_register_static (SQL_TYPE_BASE_STATEMENT, "SqlDeleteStatement", &g_define_type_info, 0);
	SqlDeleteStatement_private_offset = g_type_add_instance_private (sql_delete_statement_type_id, sizeof (SqlDeleteStatementPrivate));
	return sql_delete_statement_type_id;
}

GType
sql_delete_statement_get_type (void)
{
	static volatile gsize sql_delete_statement_type_id__once = 0;
	if (g_once_init_enter (&sql_delete_statement_type_id__once)) {
		GType sql_delete_statement_type_id;
		sql_delete_statement_type_id = sql_delete_statement_get_type_once ();
		g_once_init_leave (&sql_delete_statement_type_id__once, sql_delete_statement_type_id);
	}
	return sql_delete_statement_type_id__once;
}

static inline gpointer
_vala_memdup2 (gconstpointer mem,
               gsize byte_size)
{
	gpointer new_mem;
	if (mem && byte_size != 0) {
		new_mem = g_malloc (byte_size);
		memcpy (new_mem, mem, byte_size);
	} else {
		new_mem = NULL;
	}
	return new_mem;
}

