/* InsertStatement.c generated by valac 0.56.3, the Vala compiler
 * generated from InsertStatement.vala, do not modify */

/*  This file is part of Cawbird, a Gtk+ linux Twitter client forked from Corebird.
 *  Copyright (C) 2013 Timm Bäder (Corebird)
 *
 *  Cawbird is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  Cawbird is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with cawbird.  If not, see <http://www.gnu.org/licenses/>.
 */

#include "cawbird.h"
#include <glib.h>
#include <stdlib.h>
#include <string.h>
#include <glib-object.h>
#include <sqlite3.h>

enum  {
	SQL_INSERT_STATEMENT_0_PROPERTY,
	SQL_INSERT_STATEMENT_NUM_PROPERTIES
};
static GParamSpec* sql_insert_statement_properties[SQL_INSERT_STATEMENT_NUM_PROPERTIES];
#define _g_string_free0(var) ((var == NULL) ? NULL : (var = (g_string_free (var, TRUE), NULL)))
#define _g_ptr_array_unref0(var) ((var == NULL) ? NULL : (var = (g_ptr_array_unref (var), NULL)))
#define _sqlite3_finalize0(var) ((var == NULL) ? NULL : (var = (sqlite3_finalize (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))

struct _SqlInsertStatementPrivate {
	GString* query_builder;
	GPtrArray* bindings;
	gboolean ran;
};

static gint SqlInsertStatement_private_offset;
static gpointer sql_insert_statement_parent_class = NULL;

static void _g_free0_ (gpointer var);
static void sql_insert_statement_finalize (GObject * obj);
static GType sql_insert_statement_get_type_once (void);
static inline gpointer _vala_memdup2 (gconstpointer mem,
                        gsize byte_size);

/**
   * What to do in case of key collision during INSERT - fail, replace or ignore
   */
static GType
sql_insert_type_get_type_once (void)
{
	static const GEnumValue values[] = {{SQL_INSERT_TYPE_FAIL, "SQL_INSERT_TYPE_FAIL", "fail"}, {SQL_INSERT_TYPE_REPLACE, "SQL_INSERT_TYPE_REPLACE", "replace"}, {SQL_INSERT_TYPE_IGNORE, "SQL_INSERT_TYPE_IGNORE", "ignore"}, {0, NULL, NULL}};
	GType sql_insert_type_type_id;
	sql_insert_type_type_id = g_enum_register_static ("SqlInsertType", values);
	return sql_insert_type_type_id;
}

GType
sql_insert_type_get_type (void)
{
	static volatile gsize sql_insert_type_type_id__once = 0;
	if (g_once_init_enter (&sql_insert_type_type_id__once)) {
		GType sql_insert_type_type_id;
		sql_insert_type_type_id = sql_insert_type_get_type_once ();
		g_once_init_leave (&sql_insert_type_type_id__once, sql_insert_type_type_id);
	}
	return sql_insert_type_type_id__once;
}

static inline gpointer
sql_insert_statement_get_instance_private (SqlInsertStatement* self)
{
	return G_STRUCT_MEMBER_P (self, SqlInsertStatement_private_offset);
}

static void
_g_free0_ (gpointer var)
{
#line 31 "../src/sql/InsertStatement.vala"
	var = (g_free (var), NULL);
#line 89 "InsertStatement.c"
}

SqlInsertStatement*
sql_insert_statement_construct (GType object_type,
                                const gchar* table_name,
                                SqlInsertType ins_type)
{
	SqlInsertStatement * self = NULL;
	GString* _tmp3_;
	GString* _tmp4_;
#line 34 "../src/sql/InsertStatement.vala"
	g_return_val_if_fail (table_name != NULL, NULL);
#line 34 "../src/sql/InsertStatement.vala"
	self = (SqlInsertStatement*) g_object_new (object_type, NULL);
#line 35 "../src/sql/InsertStatement.vala"
	if (ins_type == SQL_INSERT_TYPE_REPLACE) {
#line 106 "InsertStatement.c"
		GString* _tmp0_;
#line 36 "../src/sql/InsertStatement.vala"
		_tmp0_ = self->priv->query_builder;
#line 36 "../src/sql/InsertStatement.vala"
		g_string_append (_tmp0_, "INSERT OR REPLACE INTO `");
#line 112 "InsertStatement.c"
	} else {
#line 37 "../src/sql/InsertStatement.vala"
		if (ins_type == SQL_INSERT_TYPE_IGNORE) {
#line 116 "InsertStatement.c"
			GString* _tmp1_;
#line 38 "../src/sql/InsertStatement.vala"
			_tmp1_ = self->priv->query_builder;
#line 38 "../src/sql/InsertStatement.vala"
			g_string_append (_tmp1_, "INSERT OR IGNORE INTO `");
#line 122 "InsertStatement.c"
		} else {
			GString* _tmp2_;
#line 40 "../src/sql/InsertStatement.vala"
			_tmp2_ = self->priv->query_builder;
#line 40 "../src/sql/InsertStatement.vala"
			g_string_append (_tmp2_, "INSERT INTO `");
#line 129 "InsertStatement.c"
		}
	}
#line 42 "../src/sql/InsertStatement.vala"
	_tmp3_ = self->priv->query_builder;
#line 42 "../src/sql/InsertStatement.vala"
	_tmp4_ = g_string_append (_tmp3_, table_name);
#line 42 "../src/sql/InsertStatement.vala"
	g_string_append (_tmp4_, "` (");
#line 34 "../src/sql/InsertStatement.vala"
	return self;
#line 140 "InsertStatement.c"
}

SqlInsertStatement*
sql_insert_statement_new (const gchar* table_name,
                          SqlInsertType ins_type)
{
#line 34 "../src/sql/InsertStatement.vala"
	return sql_insert_statement_construct (SQL_TYPE_INSERT_STATEMENT, table_name, ins_type);
#line 149 "InsertStatement.c"
}

static gint
vala_g_ptr_array_get_length (GPtrArray* self)
{
	gint result;
#line 5795 "glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, 0);
#line 5796 "glib-2.0.vapi"
	result = (gint) self->len;
#line 5796 "glib-2.0.vapi"
	return result;
#line 162 "InsertStatement.c"
}

gint64
sql_insert_statement_run (SqlInsertStatement* self)
{
	GString* _tmp0_;
	GString* _tmp1_;
	GString* _tmp8_;
	sqlite3_stmt* stmt = NULL;
	gint ok = 0;
	sqlite3* _tmp9_;
	GString* _tmp10_;
	const gchar* _tmp11_;
	sqlite3_stmt* _tmp12_ = NULL;
	gint _tmp13_;
	sqlite3_stmt* _tmp26_;
	sqlite3* _tmp45_;
	gint64 result;
#line 45 "../src/sql/InsertStatement.vala"
	g_return_val_if_fail (self != NULL, 0LL);
#line 46 "../src/sql/InsertStatement.vala"
	_tmp0_ = self->priv->query_builder;
#line 46 "../src/sql/InsertStatement.vala"
	g_string_append (_tmp0_, ") VALUES (");
#line 47 "../src/sql/InsertStatement.vala"
	_tmp1_ = self->priv->query_builder;
#line 47 "../src/sql/InsertStatement.vala"
	g_string_append (_tmp1_, "?");
#line 191 "InsertStatement.c"
	{
		gint i = 0;
#line 48 "../src/sql/InsertStatement.vala"
		i = 0;
#line 196 "InsertStatement.c"
		{
			gboolean _tmp2_ = FALSE;
#line 48 "../src/sql/InsertStatement.vala"
			_tmp2_ = TRUE;
#line 48 "../src/sql/InsertStatement.vala"
			while (TRUE) {
#line 203 "InsertStatement.c"
				GPtrArray* _tmp4_;
				gint _tmp5_;
				gint _tmp6_;
				GString* _tmp7_;
#line 48 "../src/sql/InsertStatement.vala"
				if (!_tmp2_) {
#line 210 "InsertStatement.c"
					gint _tmp3_;
#line 48 "../src/sql/InsertStatement.vala"
					_tmp3_ = i;
#line 48 "../src/sql/InsertStatement.vala"
					i = _tmp3_ + 1;
#line 216 "InsertStatement.c"
				}
#line 48 "../src/sql/InsertStatement.vala"
				_tmp2_ = FALSE;
#line 48 "../src/sql/InsertStatement.vala"
				_tmp4_ = self->priv->bindings;
#line 48 "../src/sql/InsertStatement.vala"
				_tmp5_ = vala_g_ptr_array_get_length (_tmp4_);
#line 48 "../src/sql/InsertStatement.vala"
				_tmp6_ = _tmp5_;
#line 48 "../src/sql/InsertStatement.vala"
				if (!(i < (_tmp6_ - 1))) {
#line 48 "../src/sql/InsertStatement.vala"
					break;
#line 230 "InsertStatement.c"
				}
#line 49 "../src/sql/InsertStatement.vala"
				_tmp7_ = self->priv->query_builder;
#line 49 "../src/sql/InsertStatement.vala"
				g_string_append (_tmp7_, ",?");
#line 236 "InsertStatement.c"
			}
		}
	}
#line 50 "../src/sql/InsertStatement.vala"
	_tmp8_ = self->priv->query_builder;
#line 50 "../src/sql/InsertStatement.vala"
	g_string_append (_tmp8_, ");");
#line 54 "../src/sql/InsertStatement.vala"
	_tmp9_ = self->db;
#line 54 "../src/sql/InsertStatement.vala"
	_tmp10_ = self->priv->query_builder;
#line 54 "../src/sql/InsertStatement.vala"
	_tmp11_ = _tmp10_->str;
#line 54 "../src/sql/InsertStatement.vala"
	_tmp13_ = sqlite3_prepare_v2 (_tmp9_, _tmp11_, -1, &_tmp12_, NULL);
#line 54 "../src/sql/InsertStatement.vala"
	_sqlite3_finalize0 (stmt);
#line 54 "../src/sql/InsertStatement.vala"
	stmt = _tmp12_;
#line 54 "../src/sql/InsertStatement.vala"
	ok = _tmp13_;
#line 56 "../src/sql/InsertStatement.vala"
	if (ok != SQLITE_OK) {
#line 260 "InsertStatement.c"
		sqlite3* _tmp14_;
		const gchar* _tmp15_;
#line 57 "../src/sql/InsertStatement.vala"
		_tmp14_ = self->db;
#line 57 "../src/sql/InsertStatement.vala"
		_tmp15_ = sqlite3_errmsg (_tmp14_);
#line 57 "../src/sql/InsertStatement.vala"
		g_critical ("InsertStatement.vala:57: %s", _tmp15_);
#line 58 "../src/sql/InsertStatement.vala"
		result = (gint64) -1;
#line 58 "../src/sql/InsertStatement.vala"
		_sqlite3_finalize0 (stmt);
#line 58 "../src/sql/InsertStatement.vala"
		return result;
#line 275 "InsertStatement.c"
	}
	{
		gint i = 0;
#line 61 "../src/sql/InsertStatement.vala"
		i = 0;
#line 281 "InsertStatement.c"
		{
			gboolean _tmp16_ = FALSE;
#line 61 "../src/sql/InsertStatement.vala"
			_tmp16_ = TRUE;
#line 61 "../src/sql/InsertStatement.vala"
			while (TRUE) {
#line 288 "InsertStatement.c"
				GPtrArray* _tmp18_;
				gint _tmp19_;
				gint _tmp20_;
				sqlite3_stmt* _tmp21_;
				GPtrArray* _tmp22_;
				gconstpointer _tmp23_;
				gchar* _tmp24_;
				GDestroyNotify _tmp25_;
#line 61 "../src/sql/InsertStatement.vala"
				if (!_tmp16_) {
#line 299 "InsertStatement.c"
					gint _tmp17_;
#line 61 "../src/sql/InsertStatement.vala"
					_tmp17_ = i;
#line 61 "../src/sql/InsertStatement.vala"
					i = _tmp17_ + 1;
#line 305 "InsertStatement.c"
				}
#line 61 "../src/sql/InsertStatement.vala"
				_tmp16_ = FALSE;
#line 61 "../src/sql/InsertStatement.vala"
				_tmp18_ = self->priv->bindings;
#line 61 "../src/sql/InsertStatement.vala"
				_tmp19_ = vala_g_ptr_array_get_length (_tmp18_);
#line 61 "../src/sql/InsertStatement.vala"
				_tmp20_ = _tmp19_;
#line 61 "../src/sql/InsertStatement.vala"
				if (!(i < _tmp20_)) {
#line 61 "../src/sql/InsertStatement.vala"
					break;
#line 319 "InsertStatement.c"
				}
#line 62 "../src/sql/InsertStatement.vala"
				_tmp21_ = stmt;
#line 62 "../src/sql/InsertStatement.vala"
				_tmp22_ = self->priv->bindings;
#line 62 "../src/sql/InsertStatement.vala"
				_tmp23_ = g_ptr_array_index (_tmp22_, (guint) i);
#line 62 "../src/sql/InsertStatement.vala"
				_tmp24_ = g_strdup ((const gchar*) _tmp23_);
#line 62 "../src/sql/InsertStatement.vala"
				_tmp25_ = g_free;
#line 62 "../src/sql/InsertStatement.vala"
				sqlite3_bind_text (_tmp21_, i + 1, _tmp24_, -1, _tmp25_);
#line 333 "InsertStatement.c"
			}
		}
	}
#line 64 "../src/sql/InsertStatement.vala"
	_tmp26_ = stmt;
#line 64 "../src/sql/InsertStatement.vala"
	ok = sqlite3_step (_tmp26_);
#line 65 "../src/sql/InsertStatement.vala"
	if (ok != SQLITE_DONE) {
#line 343 "InsertStatement.c"
		sqlite3* _tmp27_;
		const gchar* _tmp28_;
		GString* err_msg = NULL;
		GString* _tmp29_;
		GString* _tmp30_;
		sqlite3_stmt* _tmp31_;
		const gchar* _tmp32_;
		GString* _tmp33_;
		GString* _tmp43_;
		const gchar* _tmp44_;
#line 66 "../src/sql/InsertStatement.vala"
		_tmp27_ = self->db;
#line 66 "../src/sql/InsertStatement.vala"
		_tmp28_ = sqlite3_errmsg (_tmp27_);
#line 66 "../src/sql/InsertStatement.vala"
		g_critical ("InsertStatement.vala:66: %s", _tmp28_);
#line 67 "../src/sql/InsertStatement.vala"
		_tmp29_ = g_string_new ("");
#line 67 "../src/sql/InsertStatement.vala"
		err_msg = _tmp29_;
#line 68 "../src/sql/InsertStatement.vala"
		_tmp30_ = err_msg;
#line 68 "../src/sql/InsertStatement.vala"
		_tmp31_ = stmt;
#line 68 "../src/sql/InsertStatement.vala"
		_tmp32_ = sqlite3_sql (_tmp31_);
#line 68 "../src/sql/InsertStatement.vala"
		_tmp33_ = g_string_append (_tmp30_, _tmp32_);
#line 68 "../src/sql/InsertStatement.vala"
		g_string_append (_tmp33_, " --- ");
#line 374 "InsertStatement.c"
		{
			gint i = 0;
#line 69 "../src/sql/InsertStatement.vala"
			i = 0;
#line 379 "InsertStatement.c"
			{
				gboolean _tmp34_ = FALSE;
#line 69 "../src/sql/InsertStatement.vala"
				_tmp34_ = TRUE;
#line 69 "../src/sql/InsertStatement.vala"
				while (TRUE) {
#line 386 "InsertStatement.c"
					GPtrArray* _tmp36_;
					gint _tmp37_;
					gint _tmp38_;
					GString* _tmp39_;
					GPtrArray* _tmp40_;
					gconstpointer _tmp41_;
					GString* _tmp42_;
#line 69 "../src/sql/InsertStatement.vala"
					if (!_tmp34_) {
#line 396 "InsertStatement.c"
						gint _tmp35_;
#line 69 "../src/sql/InsertStatement.vala"
						_tmp35_ = i;
#line 69 "../src/sql/InsertStatement.vala"
						i = _tmp35_ + 1;
#line 402 "InsertStatement.c"
					}
#line 69 "../src/sql/InsertStatement.vala"
					_tmp34_ = FALSE;
#line 69 "../src/sql/InsertStatement.vala"
					_tmp36_ = self->priv->bindings;
#line 69 "../src/sql/InsertStatement.vala"
					_tmp37_ = vala_g_ptr_array_get_length (_tmp36_);
#line 69 "../src/sql/InsertStatement.vala"
					_tmp38_ = _tmp37_;
#line 69 "../src/sql/InsertStatement.vala"
					if (!(i < _tmp38_)) {
#line 69 "../src/sql/InsertStatement.vala"
						break;
#line 416 "InsertStatement.c"
					}
#line 70 "../src/sql/InsertStatement.vala"
					_tmp39_ = err_msg;
#line 70 "../src/sql/InsertStatement.vala"
					_tmp40_ = self->priv->bindings;
#line 70 "../src/sql/InsertStatement.vala"
					_tmp41_ = g_ptr_array_index (_tmp40_, (guint) i);
#line 70 "../src/sql/InsertStatement.vala"
					_tmp42_ = g_string_append (_tmp39_, (const gchar*) _tmp41_);
#line 70 "../src/sql/InsertStatement.vala"
					g_string_append (_tmp42_, ", ");
#line 428 "InsertStatement.c"
				}
			}
		}
#line 72 "../src/sql/InsertStatement.vala"
		_tmp43_ = err_msg;
#line 72 "../src/sql/InsertStatement.vala"
		_tmp44_ = _tmp43_->str;
#line 72 "../src/sql/InsertStatement.vala"
		g_critical ("InsertStatement.vala:72: %s", _tmp44_);
#line 65 "../src/sql/InsertStatement.vala"
		_g_string_free0 (err_msg);
#line 440 "InsertStatement.c"
	}
#line 74 "../src/sql/InsertStatement.vala"
	self->priv->ran = TRUE;
#line 75 "../src/sql/InsertStatement.vala"
	_tmp45_ = self->db;
#line 75 "../src/sql/InsertStatement.vala"
	result = sqlite3_last_insert_rowid (_tmp45_);
#line 75 "../src/sql/InsertStatement.vala"
	_sqlite3_finalize0 (stmt);
#line 75 "../src/sql/InsertStatement.vala"
	return result;
#line 452 "InsertStatement.c"
}

static gpointer
_g_object_ref0 (gpointer self)
{
#line 83 "../src/sql/InsertStatement.vala"
	return self ? g_object_ref (self) : NULL;
#line 460 "InsertStatement.c"
}

SqlInsertStatement*
sql_insert_statement_val (SqlInsertStatement* self,
                          const gchar* col_name,
                          const gchar* col_value)
{
	GPtrArray* _tmp0_;
	gint _tmp1_;
	gint _tmp2_;
	GString* _tmp4_;
	GString* _tmp5_;
	GString* _tmp6_;
	GPtrArray* _tmp7_;
	gchar* _tmp8_;
	SqlInsertStatement* _tmp9_;
	SqlInsertStatement* result;
#line 78 "../src/sql/InsertStatement.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 78 "../src/sql/InsertStatement.vala"
	g_return_val_if_fail (col_name != NULL, NULL);
#line 79 "../src/sql/InsertStatement.vala"
	_tmp0_ = self->priv->bindings;
#line 79 "../src/sql/InsertStatement.vala"
	_tmp1_ = vala_g_ptr_array_get_length (_tmp0_);
#line 79 "../src/sql/InsertStatement.vala"
	_tmp2_ = _tmp1_;
#line 79 "../src/sql/InsertStatement.vala"
	if (_tmp2_ > 0) {
#line 490 "InsertStatement.c"
		GString* _tmp3_;
#line 80 "../src/sql/InsertStatement.vala"
		_tmp3_ = self->priv->query_builder;
#line 80 "../src/sql/InsertStatement.vala"
		g_string_append (_tmp3_, ", ");
#line 496 "InsertStatement.c"
	}
#line 81 "../src/sql/InsertStatement.vala"
	_tmp4_ = self->priv->query_builder;
#line 81 "../src/sql/InsertStatement.vala"
	_tmp5_ = g_string_append (_tmp4_, "`");
#line 81 "../src/sql/InsertStatement.vala"
	_tmp6_ = g_string_append (_tmp5_, col_name);
#line 81 "../src/sql/InsertStatement.vala"
	g_string_append (_tmp6_, "`");
#line 82 "../src/sql/InsertStatement.vala"
	_tmp7_ = self->priv->bindings;
#line 82 "../src/sql/InsertStatement.vala"
	_tmp8_ = g_strdup (col_value);
#line 82 "../src/sql/InsertStatement.vala"
	g_ptr_array_add (_tmp7_, _tmp8_);
#line 83 "../src/sql/InsertStatement.vala"
	_tmp9_ = _g_object_ref0 (self);
#line 83 "../src/sql/InsertStatement.vala"
	result = _tmp9_;
#line 83 "../src/sql/InsertStatement.vala"
	return result;
#line 518 "InsertStatement.c"
}

SqlInsertStatement*
sql_insert_statement_vali (SqlInsertStatement* self,
                           const gchar* col_name,
                           gint col_value)
{
	gchar* _tmp0_;
	gchar* _tmp1_;
	SqlInsertStatement* _tmp2_;
	SqlInsertStatement* _tmp3_;
	SqlInsertStatement* result;
#line 86 "../src/sql/InsertStatement.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 86 "../src/sql/InsertStatement.vala"
	g_return_val_if_fail (col_name != NULL, NULL);
#line 87 "../src/sql/InsertStatement.vala"
	_tmp0_ = g_strdup_printf ("%i", col_value);
#line 87 "../src/sql/InsertStatement.vala"
	_tmp1_ = _tmp0_;
#line 87 "../src/sql/InsertStatement.vala"
	_tmp2_ = sql_insert_statement_val (self, col_name, _tmp1_);
#line 87 "../src/sql/InsertStatement.vala"
	_tmp3_ = _tmp2_;
#line 87 "../src/sql/InsertStatement.vala"
	_g_free0 (_tmp1_);
#line 87 "../src/sql/InsertStatement.vala"
	result = _tmp3_;
#line 87 "../src/sql/InsertStatement.vala"
	return result;
#line 549 "InsertStatement.c"
}

SqlInsertStatement*
sql_insert_statement_vali64 (SqlInsertStatement* self,
                             const gchar* col_name,
                             gint64 col_value)
{
	gchar* _tmp0_;
	gchar* _tmp1_;
	SqlInsertStatement* _tmp2_;
	SqlInsertStatement* _tmp3_;
	SqlInsertStatement* result;
#line 90 "../src/sql/InsertStatement.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 90 "../src/sql/InsertStatement.vala"
	g_return_val_if_fail (col_name != NULL, NULL);
#line 91 "../src/sql/InsertStatement.vala"
	_tmp0_ = g_strdup_printf ("%" G_GINT64_FORMAT, col_value);
#line 91 "../src/sql/InsertStatement.vala"
	_tmp1_ = _tmp0_;
#line 91 "../src/sql/InsertStatement.vala"
	_tmp2_ = sql_insert_statement_val (self, col_name, _tmp1_);
#line 91 "../src/sql/InsertStatement.vala"
	_tmp3_ = _tmp2_;
#line 91 "../src/sql/InsertStatement.vala"
	_g_free0 (_tmp1_);
#line 91 "../src/sql/InsertStatement.vala"
	result = _tmp3_;
#line 91 "../src/sql/InsertStatement.vala"
	return result;
#line 580 "InsertStatement.c"
}

SqlInsertStatement*
sql_insert_statement_valb (SqlInsertStatement* self,
                           const gchar* col_name,
                           gboolean col_value)
{
	const gchar* _tmp0_ = NULL;
	SqlInsertStatement* _tmp1_;
	SqlInsertStatement* result;
#line 94 "../src/sql/InsertStatement.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 94 "../src/sql/InsertStatement.vala"
	g_return_val_if_fail (col_name != NULL, NULL);
#line 95 "../src/sql/InsertStatement.vala"
	if (col_value) {
#line 95 "../src/sql/InsertStatement.vala"
		_tmp0_ = "1";
#line 599 "InsertStatement.c"
	} else {
#line 95 "../src/sql/InsertStatement.vala"
		_tmp0_ = "0";
#line 603 "InsertStatement.c"
	}
#line 95 "../src/sql/InsertStatement.vala"
	_tmp1_ = sql_insert_statement_val (self, col_name, _tmp0_);
#line 95 "../src/sql/InsertStatement.vala"
	result = _tmp1_;
#line 95 "../src/sql/InsertStatement.vala"
	return result;
#line 611 "InsertStatement.c"
}

static void
sql_insert_statement_class_init (SqlInsertStatementClass * klass,
                                 gpointer klass_data)
{
#line 28 "../src/sql/InsertStatement.vala"
	sql_insert_statement_parent_class = g_type_class_peek_parent (klass);
#line 28 "../src/sql/InsertStatement.vala"
	g_type_class_adjust_private_offset (klass, &SqlInsertStatement_private_offset);
#line 28 "../src/sql/InsertStatement.vala"
	G_OBJECT_CLASS (klass)->finalize = sql_insert_statement_finalize;
#line 624 "InsertStatement.c"
}

static void
sql_insert_statement_instance_init (SqlInsertStatement * self,
                                    gpointer klass)
{
	GString* _tmp0_;
	GPtrArray* _tmp1_;
#line 28 "../src/sql/InsertStatement.vala"
	self->priv = sql_insert_statement_get_instance_private (self);
#line 30 "../src/sql/InsertStatement.vala"
	_tmp0_ = g_string_new ("");
#line 30 "../src/sql/InsertStatement.vala"
	self->priv->query_builder = _tmp0_;
#line 31 "../src/sql/InsertStatement.vala"
	_tmp1_ = g_ptr_array_new_full ((guint) 0, _g_free0_);
#line 31 "../src/sql/InsertStatement.vala"
	self->priv->bindings = _tmp1_;
#line 32 "../src/sql/InsertStatement.vala"
	self->priv->ran = FALSE;
#line 645 "InsertStatement.c"
}

static void
sql_insert_statement_finalize (GObject * obj)
{
	SqlInsertStatement * self;
#line 28 "../src/sql/InsertStatement.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, SQL_TYPE_INSERT_STATEMENT, SqlInsertStatement);
#line 30 "../src/sql/InsertStatement.vala"
	_g_string_free0 (self->priv->query_builder);
#line 31 "../src/sql/InsertStatement.vala"
	_g_ptr_array_unref0 (self->priv->bindings);
#line 28 "../src/sql/InsertStatement.vala"
	G_OBJECT_CLASS (sql_insert_statement_parent_class)->finalize (obj);
#line 660 "InsertStatement.c"
}

static GType
sql_insert_statement_get_type_once (void)
{
	static const GTypeInfo g_define_type_info = { sizeof (SqlInsertStatementClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) sql_insert_statement_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (SqlInsertStatement), 0, (GInstanceInitFunc) sql_insert_statement_instance_init, NULL };
	GType sql_insert_statement_type_id;
	sql_insert_statement_type_id = g_type_register_static (G_TYPE_OBJECT, "SqlInsertStatement", &g_define_type_info, 0);
	SqlInsertStatement_private_offset = g_type_add_instance_private (sql_insert_statement_type_id, sizeof (SqlInsertStatementPrivate));
	return sql_insert_statement_type_id;
}

GType
sql_insert_statement_get_type (void)
{
	static volatile gsize sql_insert_statement_type_id__once = 0;
	if (g_once_init_enter (&sql_insert_statement_type_id__once)) {
		GType sql_insert_statement_type_id;
		sql_insert_statement_type_id = sql_insert_statement_get_type_once ();
		g_once_init_leave (&sql_insert_statement_type_id__once, sql_insert_statement_type_id);
	}
	return sql_insert_statement_type_id__once;
}

static inline gpointer
_vala_memdup2 (gconstpointer mem,
               gsize byte_size)
{
	gpointer new_mem;
	if (mem && byte_size != 0) {
		new_mem = g_malloc (byte_size);
		memcpy (new_mem, mem, byte_size);
	} else {
		new_mem = NULL;
	}
	return new_mem;
}

