/* AccountDialog.c generated by valac 0.56.3, the Vala compiler
 * generated from AccountDialog.vala, do not modify */

/*  This file is part of Cawbird, a Gtk+ linux Twitter client forked from Corebird.
 *  Copyright (C) 2013 Timm Bäder (Corebird)
 *
 *  Cawbird is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  Cawbird is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with cawbird.  If not, see <http://www.gnu.org/licenses/>.
 */

#include "cawbird.h"
#include <gtk/gtk.h>
#include <glib-object.h>
#include <stdlib.h>
#include <string.h>
#include <glib.h>
#include <gdk-pixbuf/gdk-pixbuf.h>
#include <gio/gio.h>
#include <rest/oauth-proxy.h>
#include <gdk/gdk.h>
#include <rest/rest-proxy-call.h>
#include <rest/rest-proxy.h>
#include <cairo-gobject.h>
#include <glib/gstdio.h>
#include <glib/gi18n-lib.h>
#include <float.h>
#include <math.h>

#define ACCOUNT_DIALOG_MAX_DESCRIPTION_LENGTH 160
#define ACCOUNT_DIALOG_PAGE_NORMAL "normal"
#define ACCOUNT_DIALOG_PAGE_DELETE "delete"

#define TYPE_COMPLETION_TEXT_VIEW (completion_text_view_get_type ())
#define COMPLETION_TEXT_VIEW(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_COMPLETION_TEXT_VIEW, CompletionTextView))
#define COMPLETION_TEXT_VIEW_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_COMPLETION_TEXT_VIEW, CompletionTextViewClass))
#define IS_COMPLETION_TEXT_VIEW(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_COMPLETION_TEXT_VIEW))
#define IS_COMPLETION_TEXT_VIEW_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_COMPLETION_TEXT_VIEW))
#define COMPLETION_TEXT_VIEW_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_COMPLETION_TEXT_VIEW, CompletionTextViewClass))

typedef struct _CompletionTextView CompletionTextView;
typedef struct _CompletionTextViewClass CompletionTextViewClass;

#define TYPE_CROP_WIDGET (crop_widget_get_type ())
#define CROP_WIDGET(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_CROP_WIDGET, CropWidget))
#define CROP_WIDGET_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_CROP_WIDGET, CropWidgetClass))
#define IS_CROP_WIDGET(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_CROP_WIDGET))
#define IS_CROP_WIDGET_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_CROP_WIDGET))
#define CROP_WIDGET_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_CROP_WIDGET, CropWidgetClass))

typedef struct _CropWidget CropWidget;
typedef struct _CropWidgetClass CropWidgetClass;
enum  {
	ACCOUNT_DIALOG_0_PROPERTY,
	ACCOUNT_DIALOG_NUM_PROPERTIES
};
static GParamSpec* account_dialog_properties[ACCOUNT_DIALOG_NUM_PROPERTIES];
#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
typedef struct _Block92Data Block92Data;
typedef struct _Block93Data Block93Data;
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))
typedef struct _Block94Data Block94Data;
#define _cairo_surface_destroy0(var) ((var == NULL) ? NULL : (var = (cairo_surface_destroy (var), NULL)))
typedef struct _Block95Data Block95Data;

struct _AccountDialogPrivate {
	GtkEntry* name_entry;
	AvatarBannerWidget* avatar_banner_widget;
	GtkStack* delete_stack;
	GtkSwitch* autostart_switch;
	GtkEntry* website_entry;
	CompletionTextView* description_text_view;
	CropWidget* crop_widget;
	GtkStack* content_stack;
	GtkBox* info_box;
	GtkLabel* error_label;
	GtkButton* save_button;
	GtkLabel* description_length_label;
	Account* account;
	gchar* old_user_name;
	gchar* old_description;
	gchar* old_website;
	GdkPixbuf* new_avatar;
	GdkPixbuf* new_banner;
	gint old_width;
	gint old_height;
	gboolean account_was_not_initied;
};

struct _Block92Data {
	int _ref_count_;
	AccountDialog* self;
	Account* account;
};

struct _Block93Data {
	int _ref_count_;
	AccountDialog* self;
	RestProxyCall* call;
};

struct _Block94Data {
	int _ref_count_;
	AccountDialog* self;
	RestProxyCall* call;
};

struct _Block95Data {
	int _ref_count_;
	AccountDialog* self;
	RestProxyCall* call;
};

static gint AccountDialog_private_offset;
static gpointer account_dialog_parent_class = NULL;

VALA_EXTERN GType completion_text_view_get_type (void) G_GNUC_CONST ;
VALA_EXTERN GType crop_widget_get_type (void) G_GNUC_CONST ;
static Block92Data* block92_data_ref (Block92Data* _data92_);
static void block92_data_unref (void * _userdata_);
VALA_EXTERN void completion_text_view_set_account (CompletionTextView* self,
                                       Account* account);
static void account_dialog_set_transient_data (AccountDialog* self,
                                        const gchar* website,
                                        const gchar* description);
static void __lambda175_ (AccountDialog* self,
                   GdkPixbuf* p);
static void ___lambda175__avatar_banner_widget_avatar_changed (AvatarBannerWidget* _sender,
                                                        GdkPixbuf* new_avatar,
                                                        gpointer self);
static void __lambda176_ (AccountDialog* self,
                   GdkPixbuf* b);
static void ___lambda176__avatar_banner_widget_banner_changed (AvatarBannerWidget* _sender,
                                                        GdkPixbuf* new_banner,
                                                        gpointer self);
static void ___lambda177_ (Block92Data* _data92_,
                    GObject* obj,
                    GAsyncResult* res);
static void ____lambda177__gasync_ready_callback (GObject* source_object,
                                           GAsyncResult* res,
                                           gpointer self);
static gboolean account_dialog_escape_pressed_cb (AccountDialog* self);
static gboolean _account_dialog_escape_pressed_cb_gtk_accel_group_activate (GtkAccelGroup* accel_group,
                                                                     GObject* acceleratable,
                                                                     guint keyval,
                                                                     GdkModifierType modifier,
                                                                     gpointer self);
static void account_dialog_update_description_length (AccountDialog* self);
static void _account_dialog_update_description_length_g_object_notify (GObject* _sender,
                                                                GParamSpec* pspec,
                                                                gpointer self);
static void account_dialog_real_destroy (GtkWidget* base);
static void account_dialog_delete_button_clicked_cb (AccountDialog* self);
static void _account_dialog_delete_button_clicked_cb_gtk_button_clicked (GtkButton* _sender,
                                                                  gpointer self);
static void account_dialog_save_data (AccountDialog* self);
static Block93Data* block93_data_ref (Block93Data* _data93_);
static void block93_data_unref (void * _userdata_);
static void ___lambda178_ (Block93Data* _data93_,
                    GObject* obj,
                    GAsyncResult* res);
VALA_EXTERN void utils_show_error_dialog (GError* e,
                              GtkWindow* transient_for,
                              const gchar* file,
                              gint line);
static void ____lambda178__gasync_ready_callback (GObject* source_object,
                                           GAsyncResult* res,
                                           gpointer self);
static Block94Data* block94_data_ref (Block94Data* _data94_);
static void block94_data_unref (void * _userdata_);
static void ___lambda179_ (Block94Data* _data94_,
                    GObject* obj,
                    GAsyncResult* res);
static void ____lambda179__gasync_ready_callback (GObject* source_object,
                                           GAsyncResult* res,
                                           gpointer self);
static Block95Data* block95_data_ref (Block95Data* _data95_);
static void block95_data_unref (void * _userdata_);
static void ___lambda180_ (Block95Data* _data95_,
                    GObject* obj,
                    GAsyncResult* res);
static void ____lambda180__gasync_ready_callback (GObject* source_object,
                                           GAsyncResult* res,
                                           gpointer self);
static void account_dialog_delete_confirm_button_clicked_cb (AccountDialog* self);
static void _account_dialog_delete_confirm_button_clicked_cb_gtk_button_clicked (GtkButton* _sender,
                                                                          gpointer self);
static void account_dialog_delete_cancel_button_clicked_cb (AccountDialog* self);
static void _account_dialog_delete_cancel_button_clicked_cb_gtk_button_clicked (GtkButton* _sender,
                                                                         gpointer self);
static void account_dialog_autostart_switch_activate_cb (AccountDialog* self);
static void _account_dialog_autostart_switch_activate_cb_g_object_notify (GObject* _sender,
                                                                   GParamSpec* pspec,
                                                                   gpointer self);
static void account_dialog_show_crop_image_selector (AccountDialog* self);
VALA_EXTERN gdouble crop_widget_get_desired_aspect_ratio (CropWidget* self);
VALA_EXTERN void crop_widget_set_image (CropWidget* self,
                            GdkPixbuf* image);
static void account_dialog_avatar_clicked_cb (AccountDialog* self);
VALA_EXTERN void crop_widget_set_desired_aspect_ratio (CropWidget* self,
                                           gdouble value);
VALA_EXTERN void crop_widget_set_min_size (CropWidget* self,
                               gint min_width);
static void _account_dialog_avatar_clicked_cb_avatar_banner_widget_avatar_clicked (AvatarBannerWidget* _sender,
                                                                            gpointer self);
static void account_dialog_banner_clicked_cb (AccountDialog* self);
static void _account_dialog_banner_clicked_cb_avatar_banner_widget_banner_clicked (AvatarBannerWidget* _sender,
                                                                            gpointer self);
static void account_dialog_cancel_button_clicked_cb (AccountDialog* self);
static void _account_dialog_cancel_button_clicked_cb_gtk_button_clicked (GtkButton* _sender,
                                                                  gpointer self);
static void account_dialog_save_button_clicked_cb (AccountDialog* self);
VALA_EXTERN GdkPixbuf* crop_widget_get_cropped_image (CropWidget* self);
static void _account_dialog_save_button_clicked_cb_gtk_button_clicked (GtkButton* _sender,
                                                                gpointer self);
static void account_dialog_finalize (GObject * obj);
static GType account_dialog_get_type_once (void);
static void _vala_array_destroy (gpointer array,
                          gssize array_length,
                          GDestroyNotify destroy_func);
static void _vala_array_free (gpointer array,
                       gssize array_length,
                       GDestroyNotify destroy_func);
static gssize _vala_array_length (gpointer array);
static inline gpointer _vala_memdup2 (gconstpointer mem,
                        gsize byte_size);

static inline gpointer
account_dialog_get_instance_private (AccountDialog* self)
{
	return G_STRUCT_MEMBER_P (self, AccountDialog_private_offset);
}

static gpointer
_g_object_ref0 (gpointer self)
{
#line 61 "../src/window/AccountDialog.vala"
	return self ? g_object_ref (self) : NULL;
#line 250 "AccountDialog.c"
}

static Block92Data*
block92_data_ref (Block92Data* _data92_)
{
#line 61 "../src/window/AccountDialog.vala"
	g_atomic_int_inc (&_data92_->_ref_count_);
#line 61 "../src/window/AccountDialog.vala"
	return _data92_;
#line 260 "AccountDialog.c"
}

static void
block92_data_unref (void * _userdata_)
{
	Block92Data* _data92_;
	_data92_ = (Block92Data*) _userdata_;
#line 61 "../src/window/AccountDialog.vala"
	if (g_atomic_int_dec_and_test (&_data92_->_ref_count_)) {
#line 270 "AccountDialog.c"
		AccountDialog* self;
#line 61 "../src/window/AccountDialog.vala"
		self = _data92_->self;
#line 61 "../src/window/AccountDialog.vala"
		_g_object_unref0 (_data92_->account);
#line 61 "../src/window/AccountDialog.vala"
		_g_object_unref0 (self);
#line 61 "../src/window/AccountDialog.vala"
		g_slice_free (Block92Data, _data92_);
#line 280 "AccountDialog.c"
	}
}

static void
__lambda175_ (AccountDialog* self,
              GdkPixbuf* p)
{
	GdkPixbuf* _tmp0_;
#line 78 "../src/window/AccountDialog.vala"
	g_return_if_fail (p != NULL);
#line 79 "../src/window/AccountDialog.vala"
	_tmp0_ = _g_object_ref0 (p);
#line 79 "../src/window/AccountDialog.vala"
	_g_object_unref0 (self->priv->new_avatar);
#line 79 "../src/window/AccountDialog.vala"
	self->priv->new_avatar = _tmp0_;
#line 297 "AccountDialog.c"
}

static void
___lambda175__avatar_banner_widget_avatar_changed (AvatarBannerWidget* _sender,
                                                   GdkPixbuf* new_avatar,
                                                   gpointer self)
{
#line 78 "../src/window/AccountDialog.vala"
	__lambda175_ ((AccountDialog*) self, new_avatar);
#line 307 "AccountDialog.c"
}

static void
__lambda176_ (AccountDialog* self,
              GdkPixbuf* b)
{
	GdkPixbuf* _tmp0_;
#line 82 "../src/window/AccountDialog.vala"
	g_return_if_fail (b != NULL);
#line 83 "../src/window/AccountDialog.vala"
	_tmp0_ = _g_object_ref0 (b);
#line 83 "../src/window/AccountDialog.vala"
	_g_object_unref0 (self->priv->new_banner);
#line 83 "../src/window/AccountDialog.vala"
	self->priv->new_banner = _tmp0_;
#line 323 "AccountDialog.c"
}

static void
___lambda176__avatar_banner_widget_banner_changed (AvatarBannerWidget* _sender,
                                                   GdkPixbuf* new_banner,
                                                   gpointer self)
{
#line 82 "../src/window/AccountDialog.vala"
	__lambda176_ ((AccountDialog*) self, new_banner);
#line 333 "AccountDialog.c"
}

static void
___lambda177_ (Block92Data* _data92_,
               GObject* obj,
               GAsyncResult* res)
{
	AccountDialog* self;
	const gchar* _tmp0_;
	const gchar* _tmp1_;
#line 89 "../src/window/AccountDialog.vala"
	self = _data92_->self;
#line 89 "../src/window/AccountDialog.vala"
	g_return_if_fail (res != NULL);
#line 90 "../src/window/AccountDialog.vala"
	_tmp0_ = _data92_->account->website;
#line 90 "../src/window/AccountDialog.vala"
	_tmp1_ = _data92_->account->description;
#line 90 "../src/window/AccountDialog.vala"
	account_dialog_set_transient_data (self, _tmp0_, _tmp1_);
#line 354 "AccountDialog.c"
}

static void
____lambda177__gasync_ready_callback (GObject* source_object,
                                      GAsyncResult* res,
                                      gpointer self)
{
#line 89 "../src/window/AccountDialog.vala"
	___lambda177_ (self, source_object, res);
#line 89 "../src/window/AccountDialog.vala"
	block92_data_unref (self);
#line 366 "AccountDialog.c"
}

static gboolean
_account_dialog_escape_pressed_cb_gtk_accel_group_activate (GtkAccelGroup* accel_group,
                                                            GObject* acceleratable,
                                                            guint keyval,
                                                            GdkModifierType modifier,
                                                            gpointer self)
{
	gboolean result;
	result = account_dialog_escape_pressed_cb ((AccountDialog*) self);
#line 95 "../src/window/AccountDialog.vala"
	return result;
#line 380 "AccountDialog.c"
}

static void
_account_dialog_update_description_length_g_object_notify (GObject* _sender,
                                                           GParamSpec* pspec,
                                                           gpointer self)
{
#line 97 "../src/window/AccountDialog.vala"
	account_dialog_update_description_length ((AccountDialog*) self);
#line 390 "AccountDialog.c"
}

AccountDialog*
account_dialog_construct (GType object_type,
                          Account* account)
{
	AccountDialog * self = NULL;
	Block92Data* _data92_;
	Account* _tmp0_;
	GtkEntry* _tmp1_;
	const gchar* _tmp2_;
	AvatarBannerWidget* _tmp3_;
	CompletionTextView* _tmp4_;
	const gchar* _tmp5_;
	const gchar* _tmp6_;
	GtkSwitch* _tmp7_;
	gchar** startup_accounts = NULL;
	GSettings* _tmp8_;
	GSettings* _tmp9_;
	gchar** _tmp10_;
	gchar** _tmp11_;
	gchar** _tmp12_;
	gint _tmp12__length1;
	gint startup_accounts_length1;
	gint _startup_accounts_size_;
	gchar** _tmp13_;
	gint _tmp13__length1;
	GtkSwitch* _tmp18_;
	AvatarBannerWidget* _tmp19_;
	AvatarBannerWidget* _tmp20_;
	OAuthProxy* _tmp21_;
	GtkAccelGroup* ag = NULL;
	GtkAccelGroup* _tmp22_;
	CompletionTextView* _tmp23_;
	GtkTextBuffer* _tmp24_;
	GtkTextBuffer* _tmp25_;
#line 61 "../src/window/AccountDialog.vala"
	g_return_val_if_fail (account != NULL, NULL);
#line 61 "../src/window/AccountDialog.vala"
	_data92_ = g_slice_new0 (Block92Data);
#line 61 "../src/window/AccountDialog.vala"
	_data92_->_ref_count_ = 1;
#line 61 "../src/window/AccountDialog.vala"
	_tmp0_ = _g_object_ref0 (account);
#line 61 "../src/window/AccountDialog.vala"
	_g_object_unref0 (_data92_->account);
#line 61 "../src/window/AccountDialog.vala"
	_data92_->account = _tmp0_;
#line 61 "../src/window/AccountDialog.vala"
	self = (AccountDialog*) g_object_new (object_type, NULL);
#line 61 "../src/window/AccountDialog.vala"
	_data92_->self = g_object_ref (self);
#line 62 "../src/window/AccountDialog.vala"
	self->priv->account = _data92_->account;
#line 63 "../src/window/AccountDialog.vala"
	_tmp1_ = self->priv->name_entry;
#line 63 "../src/window/AccountDialog.vala"
	_tmp2_ = _data92_->account->name;
#line 63 "../src/window/AccountDialog.vala"
	gtk_entry_set_text (_tmp1_, _tmp2_);
#line 64 "../src/window/AccountDialog.vala"
	_tmp3_ = self->priv->avatar_banner_widget;
#line 64 "../src/window/AccountDialog.vala"
	avatar_banner_widget_set_account (_tmp3_, _data92_->account);
#line 65 "../src/window/AccountDialog.vala"
	_tmp4_ = self->priv->description_text_view;
#line 65 "../src/window/AccountDialog.vala"
	completion_text_view_set_account (_tmp4_, _data92_->account);
#line 66 "../src/window/AccountDialog.vala"
	_tmp5_ = _data92_->account->website;
#line 66 "../src/window/AccountDialog.vala"
	_tmp6_ = _data92_->account->description;
#line 66 "../src/window/AccountDialog.vala"
	account_dialog_set_transient_data (self, _tmp5_, _tmp6_);
#line 68 "../src/window/AccountDialog.vala"
	_tmp7_ = self->priv->autostart_switch;
#line 68 "../src/window/AccountDialog.vala"
	g_object_freeze_notify ((GObject*) _tmp7_);
#line 69 "../src/window/AccountDialog.vala"
	_tmp8_ = settings_get ();
#line 69 "../src/window/AccountDialog.vala"
	_tmp9_ = _tmp8_;
#line 69 "../src/window/AccountDialog.vala"
	_tmp11_ = _tmp10_ = g_settings_get_strv (_tmp9_, "startup-accounts");
#line 69 "../src/window/AccountDialog.vala"
	_tmp12_ = _tmp11_;
#line 69 "../src/window/AccountDialog.vala"
	_tmp12__length1 = _vala_array_length (_tmp10_);
#line 69 "../src/window/AccountDialog.vala"
	_g_object_unref0 (_tmp9_);
#line 69 "../src/window/AccountDialog.vala"
	startup_accounts = _tmp12_;
#line 69 "../src/window/AccountDialog.vala"
	startup_accounts_length1 = _tmp12__length1;
#line 69 "../src/window/AccountDialog.vala"
	_startup_accounts_size_ = startup_accounts_length1;
#line 70 "../src/window/AccountDialog.vala"
	_tmp13_ = startup_accounts;
#line 70 "../src/window/AccountDialog.vala"
	_tmp13__length1 = startup_accounts_length1;
#line 491 "AccountDialog.c"
	{
		gchar** acc_collection = NULL;
		gint acc_collection_length1 = 0;
		gint _acc_collection_size_ = 0;
		gint acc_it = 0;
#line 70 "../src/window/AccountDialog.vala"
		acc_collection = _tmp13_;
#line 70 "../src/window/AccountDialog.vala"
		acc_collection_length1 = _tmp13__length1;
#line 70 "../src/window/AccountDialog.vala"
		for (acc_it = 0; acc_it < acc_collection_length1; acc_it = acc_it + 1) {
#line 503 "AccountDialog.c"
			const gchar* acc = NULL;
#line 70 "../src/window/AccountDialog.vala"
			acc = acc_collection[acc_it];
#line 507 "AccountDialog.c"
			{
				const gchar* _tmp14_;
				Account* _tmp15_;
				const gchar* _tmp16_;
#line 71 "../src/window/AccountDialog.vala"
				_tmp14_ = acc;
#line 71 "../src/window/AccountDialog.vala"
				_tmp15_ = self->priv->account;
#line 71 "../src/window/AccountDialog.vala"
				_tmp16_ = _tmp15_->screen_name;
#line 71 "../src/window/AccountDialog.vala"
				if (g_strcmp0 (_tmp14_, _tmp16_) == 0) {
#line 520 "AccountDialog.c"
					GtkSwitch* _tmp17_;
#line 72 "../src/window/AccountDialog.vala"
					_tmp17_ = self->priv->autostart_switch;
#line 72 "../src/window/AccountDialog.vala"
					gtk_switch_set_active (_tmp17_, TRUE);
#line 73 "../src/window/AccountDialog.vala"
					break;
#line 528 "AccountDialog.c"
				}
			}
		}
	}
#line 76 "../src/window/AccountDialog.vala"
	_tmp18_ = self->priv->autostart_switch;
#line 76 "../src/window/AccountDialog.vala"
	g_object_thaw_notify ((GObject*) _tmp18_);
#line 78 "../src/window/AccountDialog.vala"
	_tmp19_ = self->priv->avatar_banner_widget;
#line 78 "../src/window/AccountDialog.vala"
	g_signal_connect_object (_tmp19_, "avatar-changed", (GCallback) ___lambda175__avatar_banner_widget_avatar_changed, self, 0);
#line 82 "../src/window/AccountDialog.vala"
	_tmp20_ = self->priv->avatar_banner_widget;
#line 82 "../src/window/AccountDialog.vala"
	g_signal_connect_object (_tmp20_, "banner-changed", (GCallback) ___lambda176__avatar_banner_widget_banner_changed, self, 0);
#line 86 "../src/window/AccountDialog.vala"
	_tmp21_ = _data92_->account->proxy;
#line 86 "../src/window/AccountDialog.vala"
	if (_tmp21_ == NULL) {
#line 87 "../src/window/AccountDialog.vala"
		self->priv->account_was_not_initied = TRUE;
#line 88 "../src/window/AccountDialog.vala"
		account_init_proxy (_data92_->account);
#line 89 "../src/window/AccountDialog.vala"
		account_query_user_info (_data92_->account, ____lambda177__gasync_ready_callback, block92_data_ref (_data92_));
#line 555 "AccountDialog.c"
	}
#line 94 "../src/window/AccountDialog.vala"
	_tmp22_ = gtk_accel_group_new ();
#line 94 "../src/window/AccountDialog.vala"
	ag = _tmp22_;
#line 95 "../src/window/AccountDialog.vala"
	gtk_accel_group_connect (ag, GDK_KEY_Escape, 0, GTK_ACCEL_LOCKED, (GClosure*) ((_account_dialog_escape_pressed_cb_gtk_accel_group_activate == NULL) ? NULL : g_cclosure_new ((GCallback) _account_dialog_escape_pressed_cb_gtk_accel_group_activate, g_object_ref (self), (GClosureNotify) g_object_unref)));
#line 97 "../src/window/AccountDialog.vala"
	_tmp23_ = self->priv->description_text_view;
#line 97 "../src/window/AccountDialog.vala"
	_tmp24_ = gtk_text_view_get_buffer ((GtkTextView*) _tmp23_);
#line 97 "../src/window/AccountDialog.vala"
	_tmp25_ = _tmp24_;
#line 97 "../src/window/AccountDialog.vala"
	g_signal_connect_object ((GObject*) _tmp25_, "notify::text", (GCallback) _account_dialog_update_description_length_g_object_notify, self, 0);
#line 99 "../src/window/AccountDialog.vala"
	gtk_window_add_accel_group ((GtkWindow*) self, ag);
#line 100 "../src/window/AccountDialog.vala"
	account_dialog_update_description_length (self);
#line 61 "../src/window/AccountDialog.vala"
	_g_object_unref0 (ag);
#line 61 "../src/window/AccountDialog.vala"
	startup_accounts = (_vala_array_free (startup_accounts, startup_accounts_length1, (GDestroyNotify) g_free), NULL);
#line 61 "../src/window/AccountDialog.vala"
	block92_data_unref (_data92_);
#line 61 "../src/window/AccountDialog.vala"
	_data92_ = NULL;
#line 61 "../src/window/AccountDialog.vala"
	return self;
#line 585 "AccountDialog.c"
}

AccountDialog*
account_dialog_new (Account* account)
{
#line 61 "../src/window/AccountDialog.vala"
	return account_dialog_construct (TYPE_ACCOUNT_DIALOG, account);
#line 593 "AccountDialog.c"
}

static void
account_dialog_update_description_length (AccountDialog* self)
{
	gint length = 0;
	CompletionTextView* _tmp0_;
	GtkTextBuffer* _tmp1_;
	GtkTextBuffer* _tmp2_;
	gchar* _tmp3_;
	gchar* _tmp4_;
	gchar* _tmp5_;
	gint _tmp6_;
	gint _tmp7_;
	gint _tmp8_;
	GtkLabel* _tmp9_;
	gchar* _tmp10_;
	gchar* _tmp11_;
#line 103 "../src/window/AccountDialog.vala"
	g_return_if_fail (self != NULL);
#line 104 "../src/window/AccountDialog.vala"
	_tmp0_ = self->priv->description_text_view;
#line 104 "../src/window/AccountDialog.vala"
	_tmp1_ = gtk_text_view_get_buffer ((GtkTextView*) _tmp0_);
#line 104 "../src/window/AccountDialog.vala"
	_tmp2_ = _tmp1_;
#line 104 "../src/window/AccountDialog.vala"
	g_object_get (_tmp2_, "text", &_tmp3_, NULL);
#line 104 "../src/window/AccountDialog.vala"
	_tmp4_ = _tmp3_;
#line 104 "../src/window/AccountDialog.vala"
	_tmp5_ = _tmp4_;
#line 104 "../src/window/AccountDialog.vala"
	_tmp6_ = strlen (_tmp5_);
#line 104 "../src/window/AccountDialog.vala"
	_tmp7_ = _tmp6_;
#line 104 "../src/window/AccountDialog.vala"
	_tmp8_ = _tmp7_;
#line 104 "../src/window/AccountDialog.vala"
	_g_free0 (_tmp5_);
#line 104 "../src/window/AccountDialog.vala"
	length = _tmp8_;
#line 105 "../src/window/AccountDialog.vala"
	_tmp9_ = self->priv->description_length_label;
#line 105 "../src/window/AccountDialog.vala"
	_tmp10_ = g_strdup_printf ("%d/160", length);
#line 105 "../src/window/AccountDialog.vala"
	_tmp11_ = _tmp10_;
#line 105 "../src/window/AccountDialog.vala"
	gtk_label_set_label (_tmp9_, _tmp11_);
#line 105 "../src/window/AccountDialog.vala"
	_g_free0 (_tmp11_);
#line 107 "../src/window/AccountDialog.vala"
	if (length > ACCOUNT_DIALOG_MAX_DESCRIPTION_LENGTH) {
#line 648 "AccountDialog.c"
		GtkButton* _tmp12_;
#line 108 "../src/window/AccountDialog.vala"
		_tmp12_ = self->priv->save_button;
#line 108 "../src/window/AccountDialog.vala"
		gtk_widget_set_sensitive ((GtkWidget*) _tmp12_, FALSE);
#line 654 "AccountDialog.c"
	} else {
		GtkButton* _tmp13_;
#line 110 "../src/window/AccountDialog.vala"
		_tmp13_ = self->priv->save_button;
#line 110 "../src/window/AccountDialog.vala"
		gtk_widget_set_sensitive ((GtkWidget*) _tmp13_, TRUE);
#line 661 "AccountDialog.c"
	}
}

static void
account_dialog_real_destroy (GtkWidget* base)
{
	AccountDialog * self;
	Account* _tmp0_;
#line 114 "../src/window/AccountDialog.vala"
	self = (AccountDialog*) base;
#line 115 "../src/window/AccountDialog.vala"
	_tmp0_ = self->priv->account;
#line 115 "../src/window/AccountDialog.vala"
	if (_tmp0_ != NULL) {
#line 116 "../src/window/AccountDialog.vala"
		if (self->priv->account_was_not_initied) {
#line 678 "AccountDialog.c"
			Account* _tmp1_;
#line 117 "../src/window/AccountDialog.vala"
			_tmp1_ = self->priv->account;
#line 117 "../src/window/AccountDialog.vala"
			account_uninit (_tmp1_);
#line 684 "AccountDialog.c"
		}
#line 120 "../src/window/AccountDialog.vala"
		self->priv->account = NULL;
#line 688 "AccountDialog.c"
	}
#line 123 "../src/window/AccountDialog.vala"
	GTK_WIDGET_CLASS (account_dialog_parent_class)->destroy ((GtkWidget*) G_TYPE_CHECK_INSTANCE_CAST (self, gtk_window_get_type (), GtkWindow));
#line 692 "AccountDialog.c"
}

static gboolean
account_dialog_escape_pressed_cb (AccountDialog* self)
{
	gboolean result;
#line 126 "../src/window/AccountDialog.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 127 "../src/window/AccountDialog.vala"
	gtk_widget_destroy ((GtkWidget*) self);
#line 128 "../src/window/AccountDialog.vala"
	result = GDK_EVENT_STOP;
#line 128 "../src/window/AccountDialog.vala"
	return result;
#line 707 "AccountDialog.c"
}

static void
account_dialog_set_transient_data (AccountDialog* self,
                                   const gchar* website,
                                   const gchar* description)
{
	const gchar* _tmp0_ = NULL;
	Account* _tmp1_;
	const gchar* _tmp2_;
	GtkEntry* _tmp3_;
	Account* _tmp4_;
	const gchar* _tmp5_;
	gchar* _tmp6_;
	const gchar* _tmp7_ = NULL;
	Account* _tmp8_;
	const gchar* _tmp9_;
	gchar* _tmp10_;
	const gchar* _tmp11_ = NULL;
	Account* _tmp12_;
	const gchar* _tmp13_;
	gchar* _tmp14_;
	const gchar* _tmp15_ = NULL;
	Account* _tmp16_;
	const gchar* _tmp17_;
	CompletionTextView* _tmp18_;
	GtkTextBuffer* _tmp19_;
#line 131 "../src/window/AccountDialog.vala"
	g_return_if_fail (self != NULL);
#line 132 "../src/window/AccountDialog.vala"
	_tmp1_ = self->priv->account;
#line 132 "../src/window/AccountDialog.vala"
	_tmp2_ = _tmp1_->website;
#line 132 "../src/window/AccountDialog.vala"
	_tmp0_ = _tmp2_;
#line 132 "../src/window/AccountDialog.vala"
	if (_tmp0_ == NULL) {
#line 132 "../src/window/AccountDialog.vala"
		_tmp0_ = "";
#line 747 "AccountDialog.c"
	}
#line 132 "../src/window/AccountDialog.vala"
	_tmp3_ = self->priv->website_entry;
#line 132 "../src/window/AccountDialog.vala"
	gtk_entry_set_text (_tmp3_, _tmp0_);
#line 133 "../src/window/AccountDialog.vala"
	_tmp4_ = self->priv->account;
#line 133 "../src/window/AccountDialog.vala"
	_tmp5_ = _tmp4_->name;
#line 133 "../src/window/AccountDialog.vala"
	_tmp6_ = g_strdup (_tmp5_);
#line 133 "../src/window/AccountDialog.vala"
	_g_free0 (self->priv->old_user_name);
#line 133 "../src/window/AccountDialog.vala"
	self->priv->old_user_name = _tmp6_;
#line 134 "../src/window/AccountDialog.vala"
	_tmp8_ = self->priv->account;
#line 134 "../src/window/AccountDialog.vala"
	_tmp9_ = _tmp8_->website;
#line 134 "../src/window/AccountDialog.vala"
	_tmp7_ = _tmp9_;
#line 134 "../src/window/AccountDialog.vala"
	if (_tmp7_ == NULL) {
#line 134 "../src/window/AccountDialog.vala"
		_tmp7_ = "";
#line 773 "AccountDialog.c"
	}
#line 134 "../src/window/AccountDialog.vala"
	_tmp10_ = g_strdup (_tmp7_);
#line 134 "../src/window/AccountDialog.vala"
	_g_free0 (self->priv->old_website);
#line 134 "../src/window/AccountDialog.vala"
	self->priv->old_website = _tmp10_;
#line 135 "../src/window/AccountDialog.vala"
	_tmp12_ = self->priv->account;
#line 135 "../src/window/AccountDialog.vala"
	_tmp13_ = _tmp12_->description;
#line 135 "../src/window/AccountDialog.vala"
	_tmp11_ = _tmp13_;
#line 135 "../src/window/AccountDialog.vala"
	if (_tmp11_ == NULL) {
#line 135 "../src/window/AccountDialog.vala"
		_tmp11_ = "";
#line 791 "AccountDialog.c"
	}
#line 135 "../src/window/AccountDialog.vala"
	_tmp14_ = g_strdup (_tmp11_);
#line 135 "../src/window/AccountDialog.vala"
	_g_free0 (self->priv->old_description);
#line 135 "../src/window/AccountDialog.vala"
	self->priv->old_description = _tmp14_;
#line 136 "../src/window/AccountDialog.vala"
	_tmp16_ = self->priv->account;
#line 136 "../src/window/AccountDialog.vala"
	_tmp17_ = _tmp16_->description;
#line 136 "../src/window/AccountDialog.vala"
	_tmp15_ = _tmp17_;
#line 136 "../src/window/AccountDialog.vala"
	if (_tmp15_ == NULL) {
#line 136 "../src/window/AccountDialog.vala"
		_tmp15_ = "";
#line 809 "AccountDialog.c"
	}
#line 136 "../src/window/AccountDialog.vala"
	_tmp18_ = self->priv->description_text_view;
#line 136 "../src/window/AccountDialog.vala"
	_tmp19_ = gtk_text_view_get_buffer ((GtkTextView*) _tmp18_);
#line 136 "../src/window/AccountDialog.vala"
	gtk_text_buffer_set_text (_tmp19_, _tmp15_, -1);
#line 817 "AccountDialog.c"
}

static void
account_dialog_delete_button_clicked_cb (AccountDialog* self)
{
	GtkStack* _tmp0_;
#line 140 "../src/window/AccountDialog.vala"
	g_return_if_fail (self != NULL);
#line 141 "../src/window/AccountDialog.vala"
	_tmp0_ = self->priv->delete_stack;
#line 141 "../src/window/AccountDialog.vala"
	gtk_stack_set_visible_child_name (_tmp0_, ACCOUNT_DIALOG_PAGE_DELETE);
#line 830 "AccountDialog.c"
}

static void
_account_dialog_delete_button_clicked_cb_gtk_button_clicked (GtkButton* _sender,
                                                             gpointer self)
{
#line 19 "../src/window/AccountDialog.vala"
	account_dialog_delete_button_clicked_cb ((AccountDialog*) self);
#line 839 "AccountDialog.c"
}

static Block93Data*
block93_data_ref (Block93Data* _data93_)
{
#line 156 "../src/window/AccountDialog.vala"
	g_atomic_int_inc (&_data93_->_ref_count_);
#line 156 "../src/window/AccountDialog.vala"
	return _data93_;
#line 849 "AccountDialog.c"
}

static void
block93_data_unref (void * _userdata_)
{
	Block93Data* _data93_;
	_data93_ = (Block93Data*) _userdata_;
#line 156 "../src/window/AccountDialog.vala"
	if (g_atomic_int_dec_and_test (&_data93_->_ref_count_)) {
#line 859 "AccountDialog.c"
		AccountDialog* self;
#line 156 "../src/window/AccountDialog.vala"
		self = _data93_->self;
#line 156 "../src/window/AccountDialog.vala"
		_g_object_unref0 (_data93_->call);
#line 156 "../src/window/AccountDialog.vala"
		_g_object_unref0 (self);
#line 156 "../src/window/AccountDialog.vala"
		g_slice_free (Block93Data, _data93_);
#line 869 "AccountDialog.c"
	}
}

static void
___lambda178_ (Block93Data* _data93_,
               GObject* obj,
               GAsyncResult* res)
{
	AccountDialog* self;
	GError* _inner_error0_ = NULL;
#line 164 "../src/window/AccountDialog.vala"
	self = _data93_->self;
#line 164 "../src/window/AccountDialog.vala"
	g_return_if_fail (res != NULL);
#line 884 "AccountDialog.c"
	{
		RestProxyCall* _tmp0_;
#line 166 "../src/window/AccountDialog.vala"
		_tmp0_ = _data93_->call;
#line 166 "../src/window/AccountDialog.vala"
		rest_proxy_call_invoke_finish (_tmp0_, res, &_inner_error0_);
#line 166 "../src/window/AccountDialog.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 893 "AccountDialog.c"
			goto __catch0_g_error;
		}
#line 167 "../src/window/AccountDialog.vala"
		g_debug ("AccountDialog.vala:167: Profile successfully updated");
#line 898 "AccountDialog.c"
	}
	goto __finally0;
	__catch0_g_error:
	{
		GError* e = NULL;
		GError* _tmp1_;
		const gchar* _tmp2_;
		RestProxyCall* _tmp3_;
		GError* _tmp4_;
		GError* _tmp5_;
		GError* _tmp6_;
#line 165 "../src/window/AccountDialog.vala"
		e = _inner_error0_;
#line 165 "../src/window/AccountDialog.vala"
		_inner_error0_ = NULL;
#line 169 "../src/window/AccountDialog.vala"
		_tmp1_ = e;
#line 169 "../src/window/AccountDialog.vala"
		_tmp2_ = _tmp1_->message;
#line 169 "../src/window/AccountDialog.vala"
		g_warning ("AccountDialog.vala:169: %s", _tmp2_);
#line 170 "../src/window/AccountDialog.vala"
		_tmp3_ = _data93_->call;
#line 170 "../src/window/AccountDialog.vala"
		_tmp4_ = e;
#line 170 "../src/window/AccountDialog.vala"
		_tmp5_ = tweet_utils_failed_request_to_error (_tmp3_, _tmp4_);
#line 170 "../src/window/AccountDialog.vala"
		_tmp6_ = _tmp5_;
#line 170 "../src/window/AccountDialog.vala"
		utils_show_error_dialog (_tmp6_, (GtkWindow*) self, NULL, 0);
#line 170 "../src/window/AccountDialog.vala"
		_g_error_free0 (_tmp6_);
#line 165 "../src/window/AccountDialog.vala"
		_g_error_free0 (e);
#line 934 "AccountDialog.c"
	}
	__finally0:
#line 165 "../src/window/AccountDialog.vala"
	if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 165 "../src/window/AccountDialog.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 165 "../src/window/AccountDialog.vala"
		g_clear_error (&_inner_error0_);
#line 165 "../src/window/AccountDialog.vala"
		return;
#line 945 "AccountDialog.c"
	}
}

static void
____lambda178__gasync_ready_callback (GObject* source_object,
                                      GAsyncResult* res,
                                      gpointer self)
{
#line 164 "../src/window/AccountDialog.vala"
	___lambda178_ (self, source_object, res);
#line 164 "../src/window/AccountDialog.vala"
	block93_data_unref (self);
#line 958 "AccountDialog.c"
}

static Block94Data*
block94_data_ref (Block94Data* _data94_)
{
#line 180 "../src/window/AccountDialog.vala"
	g_atomic_int_inc (&_data94_->_ref_count_);
#line 180 "../src/window/AccountDialog.vala"
	return _data94_;
#line 968 "AccountDialog.c"
}

static void
block94_data_unref (void * _userdata_)
{
	Block94Data* _data94_;
	_data94_ = (Block94Data*) _userdata_;
#line 180 "../src/window/AccountDialog.vala"
	if (g_atomic_int_dec_and_test (&_data94_->_ref_count_)) {
#line 978 "AccountDialog.c"
		AccountDialog* self;
#line 180 "../src/window/AccountDialog.vala"
		self = _data94_->self;
#line 180 "../src/window/AccountDialog.vala"
		_g_object_unref0 (_data94_->call);
#line 180 "../src/window/AccountDialog.vala"
		_g_object_unref0 (self);
#line 180 "../src/window/AccountDialog.vala"
		g_slice_free (Block94Data, _data94_);
#line 988 "AccountDialog.c"
	}
}

static void
___lambda179_ (Block94Data* _data94_,
               GObject* obj,
               GAsyncResult* res)
{
	AccountDialog* self;
	cairo_surface_t* s = NULL;
	GdkPixbuf* _tmp5_;
	cairo_surface_t* _tmp6_;
	Account* _tmp7_;
	cairo_surface_t* _tmp8_;
	GError* _inner_error0_ = NULL;
#line 197 "../src/window/AccountDialog.vala"
	self = _data94_->self;
#line 197 "../src/window/AccountDialog.vala"
	g_return_if_fail (res != NULL);
#line 1008 "AccountDialog.c"
	{
		RestProxyCall* _tmp0_;
#line 199 "../src/window/AccountDialog.vala"
		_tmp0_ = _data94_->call;
#line 199 "../src/window/AccountDialog.vala"
		rest_proxy_call_invoke_finish (_tmp0_, res, &_inner_error0_);
#line 199 "../src/window/AccountDialog.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 1017 "AccountDialog.c"
			goto __catch0_g_error;
		}
#line 200 "../src/window/AccountDialog.vala"
		g_debug ("AccountDialog.vala:200: Avatar successfully updated");
#line 1022 "AccountDialog.c"
	}
	goto __finally0;
	__catch0_g_error:
	{
		GError* e = NULL;
		RestProxyCall* _tmp1_;
		GError* _tmp2_;
		GError* _tmp3_;
		GError* _tmp4_;
#line 198 "../src/window/AccountDialog.vala"
		e = _inner_error0_;
#line 198 "../src/window/AccountDialog.vala"
		_inner_error0_ = NULL;
#line 202 "../src/window/AccountDialog.vala"
		_tmp1_ = _data94_->call;
#line 202 "../src/window/AccountDialog.vala"
		_tmp2_ = e;
#line 202 "../src/window/AccountDialog.vala"
		_tmp3_ = tweet_utils_failed_request_to_error (_tmp1_, _tmp2_);
#line 202 "../src/window/AccountDialog.vala"
		_tmp4_ = _tmp3_;
#line 202 "../src/window/AccountDialog.vala"
		utils_show_error_dialog (_tmp4_, (GtkWindow*) self, NULL, 0);
#line 202 "../src/window/AccountDialog.vala"
		_g_error_free0 (_tmp4_);
#line 203 "../src/window/AccountDialog.vala"
		_g_error_free0 (e);
#line 203 "../src/window/AccountDialog.vala"
		return;
#line 1052 "AccountDialog.c"
	}
	__finally0:
#line 198 "../src/window/AccountDialog.vala"
	if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 198 "../src/window/AccountDialog.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 198 "../src/window/AccountDialog.vala"
		g_clear_error (&_inner_error0_);
#line 198 "../src/window/AccountDialog.vala"
		return;
#line 1063 "AccountDialog.c"
	}
#line 207 "../src/window/AccountDialog.vala"
	_tmp5_ = self->priv->new_avatar;
#line 207 "../src/window/AccountDialog.vala"
	_tmp6_ = gdk_cairo_surface_create_from_pixbuf (_tmp5_, 1, NULL);
#line 207 "../src/window/AccountDialog.vala"
	s = _tmp6_;
#line 208 "../src/window/AccountDialog.vala"
	_tmp7_ = self->priv->account;
#line 208 "../src/window/AccountDialog.vala"
	_tmp8_ = s;
#line 208 "../src/window/AccountDialog.vala"
	account_set_new_avatar (_tmp7_, _tmp8_);
#line 197 "../src/window/AccountDialog.vala"
	_cairo_surface_destroy0 (s);
#line 1079 "AccountDialog.c"
}

static void
____lambda179__gasync_ready_callback (GObject* source_object,
                                      GAsyncResult* res,
                                      gpointer self)
{
#line 197 "../src/window/AccountDialog.vala"
	___lambda179_ (self, source_object, res);
#line 197 "../src/window/AccountDialog.vala"
	block94_data_unref (self);
#line 1091 "AccountDialog.c"
}

static Block95Data*
block95_data_ref (Block95Data* _data95_)
{
#line 212 "../src/window/AccountDialog.vala"
	g_atomic_int_inc (&_data95_->_ref_count_);
#line 212 "../src/window/AccountDialog.vala"
	return _data95_;
#line 1101 "AccountDialog.c"
}

static void
block95_data_unref (void * _userdata_)
{
	Block95Data* _data95_;
	_data95_ = (Block95Data*) _userdata_;
#line 212 "../src/window/AccountDialog.vala"
	if (g_atomic_int_dec_and_test (&_data95_->_ref_count_)) {
#line 1111 "AccountDialog.c"
		AccountDialog* self;
#line 212 "../src/window/AccountDialog.vala"
		self = _data95_->self;
#line 212 "../src/window/AccountDialog.vala"
		_g_object_unref0 (_data95_->call);
#line 212 "../src/window/AccountDialog.vala"
		_g_object_unref0 (self);
#line 212 "../src/window/AccountDialog.vala"
		g_slice_free (Block95Data, _data95_);
#line 1121 "AccountDialog.c"
	}
}

static void
___lambda180_ (Block95Data* _data95_,
               GObject* obj,
               GAsyncResult* res)
{
	AccountDialog* self;
	GError* _inner_error0_ = NULL;
#line 229 "../src/window/AccountDialog.vala"
	self = _data95_->self;
#line 229 "../src/window/AccountDialog.vala"
	g_return_if_fail (res != NULL);
#line 1136 "AccountDialog.c"
	{
		RestProxyCall* _tmp0_;
#line 231 "../src/window/AccountDialog.vala"
		_tmp0_ = _data95_->call;
#line 231 "../src/window/AccountDialog.vala"
		rest_proxy_call_invoke_finish (_tmp0_, res, &_inner_error0_);
#line 231 "../src/window/AccountDialog.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 1145 "AccountDialog.c"
			goto __catch0_g_error;
		}
#line 232 "../src/window/AccountDialog.vala"
		g_debug ("AccountDialog.vala:232: Banner successfully updated");
#line 1150 "AccountDialog.c"
	}
	goto __finally0;
	__catch0_g_error:
	{
		GError* e = NULL;
		RestProxyCall* _tmp1_;
		GError* _tmp2_;
		GError* _tmp3_;
		GError* _tmp4_;
#line 230 "../src/window/AccountDialog.vala"
		e = _inner_error0_;
#line 230 "../src/window/AccountDialog.vala"
		_inner_error0_ = NULL;
#line 234 "../src/window/AccountDialog.vala"
		_tmp1_ = _data95_->call;
#line 234 "../src/window/AccountDialog.vala"
		_tmp2_ = e;
#line 234 "../src/window/AccountDialog.vala"
		_tmp3_ = tweet_utils_failed_request_to_error (_tmp1_, _tmp2_);
#line 234 "../src/window/AccountDialog.vala"
		_tmp4_ = _tmp3_;
#line 234 "../src/window/AccountDialog.vala"
		utils_show_error_dialog (_tmp4_, (GtkWindow*) self, NULL, 0);
#line 234 "../src/window/AccountDialog.vala"
		_g_error_free0 (_tmp4_);
#line 230 "../src/window/AccountDialog.vala"
		_g_error_free0 (e);
#line 1178 "AccountDialog.c"
	}
	__finally0:
#line 230 "../src/window/AccountDialog.vala"
	if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 230 "../src/window/AccountDialog.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 230 "../src/window/AccountDialog.vala"
		g_clear_error (&_inner_error0_);
#line 230 "../src/window/AccountDialog.vala"
		return;
#line 1189 "AccountDialog.c"
	}
}

static void
____lambda180__gasync_ready_callback (GObject* source_object,
                                      GAsyncResult* res,
                                      gpointer self)
{
#line 229 "../src/window/AccountDialog.vala"
	___lambda180_ (self, source_object, res);
#line 229 "../src/window/AccountDialog.vala"
	block95_data_unref (self);
#line 1202 "AccountDialog.c"
}

static void
account_dialog_save_data (AccountDialog* self)
{
	gboolean _tmp0_ = FALSE;
	gboolean _tmp1_ = FALSE;
	const gchar* _tmp2_;
	GtkEntry* _tmp3_;
	const gchar* _tmp4_;
	const gchar* _tmp5_;
	gboolean needs_save = FALSE;
	gboolean _tmp17_ = FALSE;
	gboolean _tmp18_ = FALSE;
	gboolean needs_init = FALSE;
	gboolean _tmp21_ = FALSE;
	GdkPixbuf* _tmp62_;
	GdkPixbuf* _tmp80_;
	GError* _inner_error0_ = NULL;
#line 144 "../src/window/AccountDialog.vala"
	g_return_if_fail (self != NULL);
#line 145 "../src/window/AccountDialog.vala"
	_tmp2_ = self->priv->old_user_name;
#line 145 "../src/window/AccountDialog.vala"
	_tmp3_ = self->priv->name_entry;
#line 145 "../src/window/AccountDialog.vala"
	_tmp4_ = gtk_entry_get_text (_tmp3_);
#line 145 "../src/window/AccountDialog.vala"
	_tmp5_ = _tmp4_;
#line 145 "../src/window/AccountDialog.vala"
	if (g_strcmp0 (_tmp2_, _tmp5_) != 0) {
#line 145 "../src/window/AccountDialog.vala"
		_tmp1_ = TRUE;
#line 1236 "AccountDialog.c"
	} else {
		const gchar* _tmp6_;
		CompletionTextView* _tmp7_;
		GtkTextBuffer* _tmp8_;
		GtkTextBuffer* _tmp9_;
		gchar* _tmp10_;
		gchar* _tmp11_;
		gchar* _tmp12_;
#line 146 "../src/window/AccountDialog.vala"
		_tmp6_ = self->priv->old_description;
#line 146 "../src/window/AccountDialog.vala"
		_tmp7_ = self->priv->description_text_view;
#line 146 "../src/window/AccountDialog.vala"
		_tmp8_ = gtk_text_view_get_buffer ((GtkTextView*) _tmp7_);
#line 146 "../src/window/AccountDialog.vala"
		_tmp9_ = _tmp8_;
#line 146 "../src/window/AccountDialog.vala"
		g_object_get (_tmp9_, "text", &_tmp10_, NULL);
#line 146 "../src/window/AccountDialog.vala"
		_tmp11_ = _tmp10_;
#line 146 "../src/window/AccountDialog.vala"
		_tmp12_ = _tmp11_;
#line 146 "../src/window/AccountDialog.vala"
		_tmp1_ = g_strcmp0 (_tmp6_, _tmp12_) != 0;
#line 146 "../src/window/AccountDialog.vala"
		_g_free0 (_tmp12_);
#line 1263 "AccountDialog.c"
	}
#line 145 "../src/window/AccountDialog.vala"
	if (_tmp1_) {
#line 145 "../src/window/AccountDialog.vala"
		_tmp0_ = TRUE;
#line 1269 "AccountDialog.c"
	} else {
		const gchar* _tmp13_;
		GtkEntry* _tmp14_;
		const gchar* _tmp15_;
		const gchar* _tmp16_;
#line 147 "../src/window/AccountDialog.vala"
		_tmp13_ = self->priv->old_website;
#line 147 "../src/window/AccountDialog.vala"
		_tmp14_ = self->priv->website_entry;
#line 147 "../src/window/AccountDialog.vala"
		_tmp15_ = gtk_entry_get_text (_tmp14_);
#line 147 "../src/window/AccountDialog.vala"
		_tmp16_ = _tmp15_;
#line 147 "../src/window/AccountDialog.vala"
		_tmp0_ = g_strcmp0 (_tmp13_, _tmp16_) != 0;
#line 1285 "AccountDialog.c"
	}
#line 145 "../src/window/AccountDialog.vala"
	needs_save = _tmp0_;
#line 149 "../src/window/AccountDialog.vala"
	if (needs_save) {
#line 149 "../src/window/AccountDialog.vala"
		_tmp18_ = TRUE;
#line 1293 "AccountDialog.c"
	} else {
		GdkPixbuf* _tmp19_;
#line 149 "../src/window/AccountDialog.vala"
		_tmp19_ = self->priv->new_avatar;
#line 149 "../src/window/AccountDialog.vala"
		_tmp18_ = _tmp19_ != NULL;
#line 1300 "AccountDialog.c"
	}
#line 149 "../src/window/AccountDialog.vala"
	if (_tmp18_) {
#line 149 "../src/window/AccountDialog.vala"
		_tmp17_ = TRUE;
#line 1306 "AccountDialog.c"
	} else {
		GdkPixbuf* _tmp20_;
#line 149 "../src/window/AccountDialog.vala"
		_tmp20_ = self->priv->new_banner;
#line 149 "../src/window/AccountDialog.vala"
		_tmp17_ = _tmp20_ != NULL;
#line 1313 "AccountDialog.c"
	}
#line 149 "../src/window/AccountDialog.vala"
	needs_init = _tmp17_;
#line 151 "../src/window/AccountDialog.vala"
	if (needs_init) {
#line 1319 "AccountDialog.c"
		Account* _tmp22_;
		OAuthProxy* _tmp23_;
#line 151 "../src/window/AccountDialog.vala"
		_tmp22_ = self->priv->account;
#line 151 "../src/window/AccountDialog.vala"
		_tmp23_ = _tmp22_->proxy;
#line 151 "../src/window/AccountDialog.vala"
		_tmp21_ = _tmp23_ == NULL;
#line 1328 "AccountDialog.c"
	} else {
#line 151 "../src/window/AccountDialog.vala"
		_tmp21_ = FALSE;
#line 1332 "AccountDialog.c"
	}
#line 151 "../src/window/AccountDialog.vala"
	if (_tmp21_) {
#line 1336 "AccountDialog.c"
		Account* _tmp24_;
#line 152 "../src/window/AccountDialog.vala"
		_tmp24_ = self->priv->account;
#line 152 "../src/window/AccountDialog.vala"
		account_init_proxy (_tmp24_);
#line 1342 "AccountDialog.c"
	}
#line 156 "../src/window/AccountDialog.vala"
	if (needs_save) {
#line 1346 "AccountDialog.c"
		Block93Data* _data93_;
		Account* _tmp25_;
		OAuthProxy* _tmp26_;
		RestProxyCall* _tmp27_;
		RestProxyCall* _tmp28_;
		RestProxyCall* _tmp29_;
		RestProxyCall* _tmp30_;
		GtkEntry* _tmp31_;
		const gchar* _tmp32_;
		const gchar* _tmp33_;
		RestProxyCall* _tmp34_;
		GtkEntry* _tmp35_;
		const gchar* _tmp36_;
		const gchar* _tmp37_;
		RestProxyCall* _tmp38_;
		CompletionTextView* _tmp39_;
		GtkTextBuffer* _tmp40_;
		GtkTextBuffer* _tmp41_;
		gchar* _tmp42_;
		gchar* _tmp43_;
		gchar* _tmp44_;
		RestProxyCall* _tmp45_;
		Account* _tmp46_;
		GtkEntry* _tmp47_;
		const gchar* _tmp48_;
		const gchar* _tmp49_;
		gchar* _tmp50_;
		Account* _tmp51_;
		CompletionTextView* _tmp52_;
		GtkTextBuffer* _tmp53_;
		GtkTextBuffer* _tmp54_;
		gchar* _tmp55_;
		gchar* _tmp56_;
		Account* _tmp57_;
		GtkEntry* _tmp58_;
		const gchar* _tmp59_;
		const gchar* _tmp60_;
		gchar* _tmp61_;
#line 156 "../src/window/AccountDialog.vala"
		_data93_ = g_slice_new0 (Block93Data);
#line 156 "../src/window/AccountDialog.vala"
		_data93_->_ref_count_ = 1;
#line 156 "../src/window/AccountDialog.vala"
		_data93_->self = g_object_ref (self);
#line 157 "../src/window/AccountDialog.vala"
		g_debug ("AccountDialog.vala:157: Saving data...");
#line 158 "../src/window/AccountDialog.vala"
		_tmp25_ = self->priv->account;
#line 158 "../src/window/AccountDialog.vala"
		_tmp26_ = _tmp25_->proxy;
#line 158 "../src/window/AccountDialog.vala"
		_tmp27_ = rest_proxy_new_call ((RestProxy*) _tmp26_);
#line 158 "../src/window/AccountDialog.vala"
		_data93_->call = _tmp27_;
#line 159 "../src/window/AccountDialog.vala"
		_tmp28_ = _data93_->call;
#line 159 "../src/window/AccountDialog.vala"
		rest_proxy_call_set_function (_tmp28_, "1.1/account/update_profile.json");
#line 160 "../src/window/AccountDialog.vala"
		_tmp29_ = _data93_->call;
#line 160 "../src/window/AccountDialog.vala"
		rest_proxy_call_set_method (_tmp29_, "POST");
#line 161 "../src/window/AccountDialog.vala"
		_tmp30_ = _data93_->call;
#line 161 "../src/window/AccountDialog.vala"
		_tmp31_ = self->priv->website_entry;
#line 161 "../src/window/AccountDialog.vala"
		_tmp32_ = gtk_entry_get_text (_tmp31_);
#line 161 "../src/window/AccountDialog.vala"
		_tmp33_ = _tmp32_;
#line 161 "../src/window/AccountDialog.vala"
		rest_proxy_call_add_param (_tmp30_, "url", _tmp33_);
#line 162 "../src/window/AccountDialog.vala"
		_tmp34_ = _data93_->call;
#line 162 "../src/window/AccountDialog.vala"
		_tmp35_ = self->priv->name_entry;
#line 162 "../src/window/AccountDialog.vala"
		_tmp36_ = gtk_entry_get_text (_tmp35_);
#line 162 "../src/window/AccountDialog.vala"
		_tmp37_ = _tmp36_;
#line 162 "../src/window/AccountDialog.vala"
		rest_proxy_call_add_param (_tmp34_, "name", _tmp37_);
#line 163 "../src/window/AccountDialog.vala"
		_tmp38_ = _data93_->call;
#line 163 "../src/window/AccountDialog.vala"
		_tmp39_ = self->priv->description_text_view;
#line 163 "../src/window/AccountDialog.vala"
		_tmp40_ = gtk_text_view_get_buffer ((GtkTextView*) _tmp39_);
#line 163 "../src/window/AccountDialog.vala"
		_tmp41_ = _tmp40_;
#line 163 "../src/window/AccountDialog.vala"
		g_object_get (_tmp41_, "text", &_tmp42_, NULL);
#line 163 "../src/window/AccountDialog.vala"
		_tmp43_ = _tmp42_;
#line 163 "../src/window/AccountDialog.vala"
		_tmp44_ = _tmp43_;
#line 163 "../src/window/AccountDialog.vala"
		rest_proxy_call_add_param (_tmp38_, "description", _tmp44_);
#line 163 "../src/window/AccountDialog.vala"
		_g_free0 (_tmp44_);
#line 164 "../src/window/AccountDialog.vala"
		_tmp45_ = _data93_->call;
#line 164 "../src/window/AccountDialog.vala"
		rest_proxy_call_invoke_async (_tmp45_, NULL, ____lambda178__gasync_ready_callback, block93_data_ref (_data93_));
#line 175 "../src/window/AccountDialog.vala"
		_tmp46_ = self->priv->account;
#line 175 "../src/window/AccountDialog.vala"
		_tmp47_ = self->priv->name_entry;
#line 175 "../src/window/AccountDialog.vala"
		_tmp48_ = gtk_entry_get_text (_tmp47_);
#line 175 "../src/window/AccountDialog.vala"
		_tmp49_ = _tmp48_;
#line 175 "../src/window/AccountDialog.vala"
		_tmp50_ = g_strdup (_tmp49_);
#line 175 "../src/window/AccountDialog.vala"
		_g_free0 (_tmp46_->name);
#line 175 "../src/window/AccountDialog.vala"
		_tmp46_->name = _tmp50_;
#line 176 "../src/window/AccountDialog.vala"
		_tmp51_ = self->priv->account;
#line 176 "../src/window/AccountDialog.vala"
		_tmp52_ = self->priv->description_text_view;
#line 176 "../src/window/AccountDialog.vala"
		_tmp53_ = gtk_text_view_get_buffer ((GtkTextView*) _tmp52_);
#line 176 "../src/window/AccountDialog.vala"
		_tmp54_ = _tmp53_;
#line 176 "../src/window/AccountDialog.vala"
		g_object_get (_tmp54_, "text", &_tmp55_, NULL);
#line 176 "../src/window/AccountDialog.vala"
		_tmp56_ = _tmp55_;
#line 176 "../src/window/AccountDialog.vala"
		_g_free0 (_tmp51_->description);
#line 176 "../src/window/AccountDialog.vala"
		_tmp51_->description = _tmp56_;
#line 177 "../src/window/AccountDialog.vala"
		_tmp57_ = self->priv->account;
#line 177 "../src/window/AccountDialog.vala"
		_tmp58_ = self->priv->website_entry;
#line 177 "../src/window/AccountDialog.vala"
		_tmp59_ = gtk_entry_get_text (_tmp58_);
#line 177 "../src/window/AccountDialog.vala"
		_tmp60_ = _tmp59_;
#line 177 "../src/window/AccountDialog.vala"
		_tmp61_ = g_strdup (_tmp60_);
#line 177 "../src/window/AccountDialog.vala"
		_g_free0 (_tmp57_->website);
#line 177 "../src/window/AccountDialog.vala"
		_tmp57_->website = _tmp61_;
#line 156 "../src/window/AccountDialog.vala"
		block93_data_unref (_data93_);
#line 156 "../src/window/AccountDialog.vala"
		_data93_ = NULL;
#line 1499 "AccountDialog.c"
	}
#line 180 "../src/window/AccountDialog.vala"
	_tmp62_ = self->priv->new_avatar;
#line 180 "../src/window/AccountDialog.vala"
	if (_tmp62_ != NULL) {
#line 1505 "AccountDialog.c"
		Block94Data* _data94_;
		guint8* buffer = NULL;
		gint buffer_length1 = 0;
		gint _buffer_size_ = 0;
		gchar* b64 = NULL;
		guint8* _tmp68_;
		gint _tmp68__length1;
		gchar* _tmp69_;
		Account* _tmp70_;
		OAuthProxy* _tmp71_;
		RestProxyCall* _tmp72_;
		RestProxyCall* _tmp73_;
		RestProxyCall* _tmp74_;
		RestProxyCall* _tmp75_;
		RestProxyCall* _tmp76_;
		RestProxyCall* _tmp77_;
		const gchar* _tmp78_;
		RestProxyCall* _tmp79_;
#line 180 "../src/window/AccountDialog.vala"
		_data94_ = g_slice_new0 (Block94Data);
#line 180 "../src/window/AccountDialog.vala"
		_data94_->_ref_count_ = 1;
#line 180 "../src/window/AccountDialog.vala"
		_data94_->self = g_object_ref (self);
#line 181 "../src/window/AccountDialog.vala"
		g_debug ("AccountDialog.vala:181: Updating avatar...");
#line 1532 "AccountDialog.c"
		{
			GdkPixbuf* _tmp63_;
			guint8* _tmp64_ = NULL;
			gsize _tmp65_ = 0;
#line 184 "../src/window/AccountDialog.vala"
			_tmp63_ = self->priv->new_avatar;
#line 184 "../src/window/AccountDialog.vala"
			gdk_pixbuf_save_to_buffer (_tmp63_, &_tmp64_, &_tmp65_, "png", &_inner_error0_, NULL, NULL);
#line 184 "../src/window/AccountDialog.vala"
			buffer = (g_free (buffer), NULL);
#line 184 "../src/window/AccountDialog.vala"
			buffer = _tmp64_;
#line 184 "../src/window/AccountDialog.vala"
			buffer_length1 = _tmp65_;
#line 184 "../src/window/AccountDialog.vala"
			_buffer_size_ = buffer_length1;
#line 184 "../src/window/AccountDialog.vala"
			if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 1551 "AccountDialog.c"
				goto __catch0_g_error;
			}
		}
		goto __finally0;
		__catch0_g_error:
		{
			GError* e = NULL;
			GError* _tmp66_;
			const gchar* _tmp67_;
#line 183 "../src/window/AccountDialog.vala"
			e = _inner_error0_;
#line 183 "../src/window/AccountDialog.vala"
			_inner_error0_ = NULL;
#line 186 "../src/window/AccountDialog.vala"
			_tmp66_ = e;
#line 186 "../src/window/AccountDialog.vala"
			_tmp67_ = _tmp66_->message;
#line 186 "../src/window/AccountDialog.vala"
			g_warning ("AccountDialog.vala:186: %s", _tmp67_);
#line 187 "../src/window/AccountDialog.vala"
			_g_error_free0 (e);
#line 187 "../src/window/AccountDialog.vala"
			buffer = (g_free (buffer), NULL);
#line 187 "../src/window/AccountDialog.vala"
			block94_data_unref (_data94_);
#line 187 "../src/window/AccountDialog.vala"
			_data94_ = NULL;
#line 187 "../src/window/AccountDialog.vala"
			return;
#line 1581 "AccountDialog.c"
		}
		__finally0:
#line 183 "../src/window/AccountDialog.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 183 "../src/window/AccountDialog.vala"
			buffer = (g_free (buffer), NULL);
#line 183 "../src/window/AccountDialog.vala"
			block94_data_unref (_data94_);
#line 183 "../src/window/AccountDialog.vala"
			_data94_ = NULL;
#line 183 "../src/window/AccountDialog.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 183 "../src/window/AccountDialog.vala"
			g_clear_error (&_inner_error0_);
#line 183 "../src/window/AccountDialog.vala"
			return;
#line 1598 "AccountDialog.c"
		}
#line 189 "../src/window/AccountDialog.vala"
		_tmp68_ = buffer;
#line 189 "../src/window/AccountDialog.vala"
		_tmp68__length1 = buffer_length1;
#line 189 "../src/window/AccountDialog.vala"
		_tmp69_ = g_base64_encode (_tmp68_, (gint) _tmp68__length1);
#line 189 "../src/window/AccountDialog.vala"
		b64 = _tmp69_;
#line 191 "../src/window/AccountDialog.vala"
		_tmp70_ = self->priv->account;
#line 191 "../src/window/AccountDialog.vala"
		_tmp71_ = _tmp70_->proxy;
#line 191 "../src/window/AccountDialog.vala"
		_tmp72_ = rest_proxy_new_call ((RestProxy*) _tmp71_);
#line 191 "../src/window/AccountDialog.vala"
		_data94_->call = _tmp72_;
#line 192 "../src/window/AccountDialog.vala"
		_tmp73_ = _data94_->call;
#line 192 "../src/window/AccountDialog.vala"
		rest_proxy_call_set_function (_tmp73_, "1.1/account/update_profile_image.json");
#line 193 "../src/window/AccountDialog.vala"
		_tmp74_ = _data94_->call;
#line 193 "../src/window/AccountDialog.vala"
		rest_proxy_call_set_method (_tmp74_, "POST");
#line 194 "../src/window/AccountDialog.vala"
		_tmp75_ = _data94_->call;
#line 194 "../src/window/AccountDialog.vala"
		rest_proxy_call_add_param (_tmp75_, "skip_status", "true");
#line 195 "../src/window/AccountDialog.vala"
		_tmp76_ = _data94_->call;
#line 195 "../src/window/AccountDialog.vala"
		rest_proxy_call_add_param (_tmp76_, "include_entities", "false");
#line 196 "../src/window/AccountDialog.vala"
		_tmp77_ = _data94_->call;
#line 196 "../src/window/AccountDialog.vala"
		_tmp78_ = b64;
#line 196 "../src/window/AccountDialog.vala"
		rest_proxy_call_add_param (_tmp77_, "image", _tmp78_);
#line 197 "../src/window/AccountDialog.vala"
		_tmp79_ = _data94_->call;
#line 197 "../src/window/AccountDialog.vala"
		rest_proxy_call_invoke_async (_tmp79_, NULL, ____lambda179__gasync_ready_callback, block94_data_ref (_data94_));
#line 180 "../src/window/AccountDialog.vala"
		_g_free0 (b64);
#line 180 "../src/window/AccountDialog.vala"
		buffer = (g_free (buffer), NULL);
#line 180 "../src/window/AccountDialog.vala"
		block94_data_unref (_data94_);
#line 180 "../src/window/AccountDialog.vala"
		_data94_ = NULL;
#line 1650 "AccountDialog.c"
	}
#line 212 "../src/window/AccountDialog.vala"
	_tmp80_ = self->priv->new_banner;
#line 212 "../src/window/AccountDialog.vala"
	if (_tmp80_ != NULL) {
#line 1656 "AccountDialog.c"
		Block95Data* _data95_;
		guint8* buffer = NULL;
		gint buffer_length1 = 0;
		gint _buffer_size_ = 0;
		gchar* b64 = NULL;
		guint8* _tmp86_;
		gint _tmp86__length1;
		gchar* _tmp87_;
		Account* _tmp88_;
		OAuthProxy* _tmp89_;
		RestProxyCall* _tmp90_;
		RestProxyCall* _tmp91_;
		RestProxyCall* _tmp92_;
		RestProxyCall* _tmp93_;
		const gchar* _tmp94_;
		RestProxyCall* _tmp95_;
#line 212 "../src/window/AccountDialog.vala"
		_data95_ = g_slice_new0 (Block95Data);
#line 212 "../src/window/AccountDialog.vala"
		_data95_->_ref_count_ = 1;
#line 212 "../src/window/AccountDialog.vala"
		_data95_->self = g_object_ref (self);
#line 213 "../src/window/AccountDialog.vala"
		g_debug ("AccountDialog.vala:213: Updating banner...");
#line 1681 "AccountDialog.c"
		{
			GdkPixbuf* _tmp81_;
			guint8* _tmp82_ = NULL;
			gsize _tmp83_ = 0;
#line 217 "../src/window/AccountDialog.vala"
			_tmp81_ = self->priv->new_banner;
#line 217 "../src/window/AccountDialog.vala"
			gdk_pixbuf_save_to_buffer (_tmp81_, &_tmp82_, &_tmp83_, "png", &_inner_error0_, NULL, NULL);
#line 217 "../src/window/AccountDialog.vala"
			buffer = (g_free (buffer), NULL);
#line 217 "../src/window/AccountDialog.vala"
			buffer = _tmp82_;
#line 217 "../src/window/AccountDialog.vala"
			buffer_length1 = _tmp83_;
#line 217 "../src/window/AccountDialog.vala"
			_buffer_size_ = buffer_length1;
#line 217 "../src/window/AccountDialog.vala"
			if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 1700 "AccountDialog.c"
				goto __catch1_g_error;
			}
		}
		goto __finally1;
		__catch1_g_error:
		{
			GError* e = NULL;
			GError* _tmp84_;
			const gchar* _tmp85_;
#line 216 "../src/window/AccountDialog.vala"
			e = _inner_error0_;
#line 216 "../src/window/AccountDialog.vala"
			_inner_error0_ = NULL;
#line 219 "../src/window/AccountDialog.vala"
			_tmp84_ = e;
#line 219 "../src/window/AccountDialog.vala"
			_tmp85_ = _tmp84_->message;
#line 219 "../src/window/AccountDialog.vala"
			g_warning ("AccountDialog.vala:219: %s", _tmp85_);
#line 220 "../src/window/AccountDialog.vala"
			_g_error_free0 (e);
#line 220 "../src/window/AccountDialog.vala"
			buffer = (g_free (buffer), NULL);
#line 220 "../src/window/AccountDialog.vala"
			block95_data_unref (_data95_);
#line 220 "../src/window/AccountDialog.vala"
			_data95_ = NULL;
#line 220 "../src/window/AccountDialog.vala"
			return;
#line 1730 "AccountDialog.c"
		}
		__finally1:
#line 216 "../src/window/AccountDialog.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 216 "../src/window/AccountDialog.vala"
			buffer = (g_free (buffer), NULL);
#line 216 "../src/window/AccountDialog.vala"
			block95_data_unref (_data95_);
#line 216 "../src/window/AccountDialog.vala"
			_data95_ = NULL;
#line 216 "../src/window/AccountDialog.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 216 "../src/window/AccountDialog.vala"
			g_clear_error (&_inner_error0_);
#line 216 "../src/window/AccountDialog.vala"
			return;
#line 1747 "AccountDialog.c"
		}
#line 222 "../src/window/AccountDialog.vala"
		_tmp86_ = buffer;
#line 222 "../src/window/AccountDialog.vala"
		_tmp86__length1 = buffer_length1;
#line 222 "../src/window/AccountDialog.vala"
		_tmp87_ = g_base64_encode (_tmp86_, (gint) _tmp86__length1);
#line 222 "../src/window/AccountDialog.vala"
		b64 = _tmp87_;
#line 224 "../src/window/AccountDialog.vala"
		_tmp88_ = self->priv->account;
#line 224 "../src/window/AccountDialog.vala"
		_tmp89_ = _tmp88_->proxy;
#line 224 "../src/window/AccountDialog.vala"
		_tmp90_ = rest_proxy_new_call ((RestProxy*) _tmp89_);
#line 224 "../src/window/AccountDialog.vala"
		_data95_->call = _tmp90_;
#line 225 "../src/window/AccountDialog.vala"
		_tmp91_ = _data95_->call;
#line 225 "../src/window/AccountDialog.vala"
		rest_proxy_call_set_function (_tmp91_, "1.1/account/update_profile_banner.json");
#line 226 "../src/window/AccountDialog.vala"
		_tmp92_ = _data95_->call;
#line 226 "../src/window/AccountDialog.vala"
		rest_proxy_call_set_method (_tmp92_, "POST");
#line 228 "../src/window/AccountDialog.vala"
		_tmp93_ = _data95_->call;
#line 228 "../src/window/AccountDialog.vala"
		_tmp94_ = b64;
#line 228 "../src/window/AccountDialog.vala"
		rest_proxy_call_add_param (_tmp93_, "banner", _tmp94_);
#line 229 "../src/window/AccountDialog.vala"
		_tmp95_ = _data95_->call;
#line 229 "../src/window/AccountDialog.vala"
		rest_proxy_call_invoke_async (_tmp95_, NULL, ____lambda180__gasync_ready_callback, block95_data_ref (_data95_));
#line 212 "../src/window/AccountDialog.vala"
		_g_free0 (b64);
#line 212 "../src/window/AccountDialog.vala"
		buffer = (g_free (buffer), NULL);
#line 212 "../src/window/AccountDialog.vala"
		block95_data_unref (_data95_);
#line 212 "../src/window/AccountDialog.vala"
		_data95_ = NULL;
#line 1791 "AccountDialog.c"
	}
}

static void
account_dialog_delete_confirm_button_clicked_cb (AccountDialog* self)
{
	gint64 acc_id = 0LL;
	Account* _tmp0_;
	gchar* _tmp1_;
	gchar* _tmp2_;
	gchar* _tmp3_;
	gchar* _tmp4_;
	gchar* _tmp5_;
	gchar* _tmp6_;
	gchar* _tmp7_;
	gchar* _tmp8_;
	gchar* _tmp9_;
	gchar* _tmp10_;
	gchar* _tmp11_;
	gchar* _tmp12_;
	gchar* _tmp13_;
	gchar* _tmp14_;
	gchar* _tmp15_;
	gchar* _tmp16_;
	gchar* _tmp17_;
	gchar* _tmp18_;
	SqlDatabase* _tmp19_;
	gchar* _tmp20_;
	gchar* _tmp21_;
	gchar* _tmp22_;
	gchar* _tmp23_;
	gchar** startup_accounts = NULL;
	GSettings* _tmp24_;
	GSettings* _tmp25_;
	gchar** _tmp26_;
	gchar** _tmp27_;
	gchar** _tmp28_;
	gint _tmp28__length1;
	gint startup_accounts_length1;
	gint _startup_accounts_size_;
	Cawbird* cb = NULL;
	GApplication* _tmp54_;
	Cawbird* _tmp55_;
	GList* windows = NULL;
	Cawbird* _tmp56_;
	GList* _tmp57_;
	GtkWindow* account_window = NULL;
	gint n_main_windows = 0;
	GList* _tmp58_;
	GtkWindow* _tmp72_;
	Account* acc_to_remove = NULL;
	Account* _tmp101_;
	Account* _tmp102_;
	Cawbird* _tmp103_;
	const gchar* _tmp104_;
#line 241 "../src/window/AccountDialog.vala"
	g_return_if_fail (self != NULL);
#line 249 "../src/window/AccountDialog.vala"
	_tmp0_ = self->priv->account;
#line 249 "../src/window/AccountDialog.vala"
	acc_id = _tmp0_->id;
#line 250 "../src/window/AccountDialog.vala"
	_tmp1_ = g_strdup_printf ("%" G_GINT64_FORMAT, acc_id);
#line 250 "../src/window/AccountDialog.vala"
	_tmp2_ = _tmp1_;
#line 250 "../src/window/AccountDialog.vala"
	_tmp3_ = g_strconcat ("accounts/", _tmp2_, ".db", NULL);
#line 250 "../src/window/AccountDialog.vala"
	_tmp4_ = _tmp3_;
#line 250 "../src/window/AccountDialog.vala"
	_tmp5_ = dirs_config (_tmp4_);
#line 250 "../src/window/AccountDialog.vala"
	_tmp6_ = _tmp5_;
#line 250 "../src/window/AccountDialog.vala"
	g_remove (_tmp6_);
#line 250 "../src/window/AccountDialog.vala"
	_g_free0 (_tmp6_);
#line 250 "../src/window/AccountDialog.vala"
	_g_free0 (_tmp4_);
#line 250 "../src/window/AccountDialog.vala"
	_g_free0 (_tmp2_);
#line 251 "../src/window/AccountDialog.vala"
	_tmp7_ = g_strdup_printf ("%" G_GINT64_FORMAT, acc_id);
#line 251 "../src/window/AccountDialog.vala"
	_tmp8_ = _tmp7_;
#line 251 "../src/window/AccountDialog.vala"
	_tmp9_ = g_strconcat ("accounts/", _tmp8_, ".png", NULL);
#line 251 "../src/window/AccountDialog.vala"
	_tmp10_ = _tmp9_;
#line 251 "../src/window/AccountDialog.vala"
	_tmp11_ = dirs_config (_tmp10_);
#line 251 "../src/window/AccountDialog.vala"
	_tmp12_ = _tmp11_;
#line 251 "../src/window/AccountDialog.vala"
	g_remove (_tmp12_);
#line 251 "../src/window/AccountDialog.vala"
	_g_free0 (_tmp12_);
#line 251 "../src/window/AccountDialog.vala"
	_g_free0 (_tmp10_);
#line 251 "../src/window/AccountDialog.vala"
	_g_free0 (_tmp8_);
#line 252 "../src/window/AccountDialog.vala"
	_tmp13_ = g_strdup_printf ("%" G_GINT64_FORMAT, acc_id);
#line 252 "../src/window/AccountDialog.vala"
	_tmp14_ = _tmp13_;
#line 252 "../src/window/AccountDialog.vala"
	_tmp15_ = g_strconcat ("accounts/", _tmp14_, "_small.png", NULL);
#line 252 "../src/window/AccountDialog.vala"
	_tmp16_ = _tmp15_;
#line 252 "../src/window/AccountDialog.vala"
	_tmp17_ = dirs_config (_tmp16_);
#line 252 "../src/window/AccountDialog.vala"
	_tmp18_ = _tmp17_;
#line 252 "../src/window/AccountDialog.vala"
	g_remove (_tmp18_);
#line 252 "../src/window/AccountDialog.vala"
	_g_free0 (_tmp18_);
#line 252 "../src/window/AccountDialog.vala"
	_g_free0 (_tmp16_);
#line 252 "../src/window/AccountDialog.vala"
	_g_free0 (_tmp14_);
#line 253 "../src/window/AccountDialog.vala"
	_tmp19_ = cawbird_db;
#line 253 "../src/window/AccountDialog.vala"
	_tmp20_ = g_strdup_printf ("%" G_GINT64_FORMAT, acc_id);
#line 253 "../src/window/AccountDialog.vala"
	_tmp21_ = _tmp20_;
#line 253 "../src/window/AccountDialog.vala"
	_tmp22_ = g_strconcat ("DELETE FROM `accounts` WHERE `id`='", _tmp21_, "';", NULL);
#line 253 "../src/window/AccountDialog.vala"
	_tmp23_ = _tmp22_;
#line 253 "../src/window/AccountDialog.vala"
	sql_database_exec (_tmp19_, _tmp23_, NULL, NULL);
#line 253 "../src/window/AccountDialog.vala"
	_g_free0 (_tmp23_);
#line 253 "../src/window/AccountDialog.vala"
	_g_free0 (_tmp21_);
#line 256 "../src/window/AccountDialog.vala"
	_tmp24_ = settings_get ();
#line 256 "../src/window/AccountDialog.vala"
	_tmp25_ = _tmp24_;
#line 256 "../src/window/AccountDialog.vala"
	_tmp27_ = _tmp26_ = g_settings_get_strv (_tmp25_, "startup-accounts");
#line 256 "../src/window/AccountDialog.vala"
	_tmp28_ = _tmp27_;
#line 256 "../src/window/AccountDialog.vala"
	_tmp28__length1 = _vala_array_length (_tmp26_);
#line 256 "../src/window/AccountDialog.vala"
	_g_object_unref0 (_tmp25_);
#line 256 "../src/window/AccountDialog.vala"
	startup_accounts = _tmp28_;
#line 256 "../src/window/AccountDialog.vala"
	startup_accounts_length1 = _tmp28__length1;
#line 256 "../src/window/AccountDialog.vala"
	_startup_accounts_size_ = startup_accounts_length1;
#line 1947 "AccountDialog.c"
	{
		gint i = 0;
#line 257 "../src/window/AccountDialog.vala"
		i = 0;
#line 1952 "AccountDialog.c"
		{
			gboolean _tmp29_ = FALSE;
#line 257 "../src/window/AccountDialog.vala"
			_tmp29_ = TRUE;
#line 257 "../src/window/AccountDialog.vala"
			while (TRUE) {
#line 1959 "AccountDialog.c"
				gchar** _tmp31_;
				gint _tmp31__length1;
				gchar** _tmp32_;
				gint _tmp32__length1;
				const gchar* _tmp33_;
				Account* _tmp34_;
				const gchar* _tmp35_;
#line 257 "../src/window/AccountDialog.vala"
				if (!_tmp29_) {
#line 1969 "AccountDialog.c"
					gint _tmp30_;
#line 257 "../src/window/AccountDialog.vala"
					_tmp30_ = i;
#line 257 "../src/window/AccountDialog.vala"
					i = _tmp30_ + 1;
#line 1975 "AccountDialog.c"
				}
#line 257 "../src/window/AccountDialog.vala"
				_tmp29_ = FALSE;
#line 257 "../src/window/AccountDialog.vala"
				_tmp31_ = startup_accounts;
#line 257 "../src/window/AccountDialog.vala"
				_tmp31__length1 = startup_accounts_length1;
#line 257 "../src/window/AccountDialog.vala"
				if (!(i < _tmp31__length1)) {
#line 257 "../src/window/AccountDialog.vala"
					break;
#line 1987 "AccountDialog.c"
				}
#line 258 "../src/window/AccountDialog.vala"
				_tmp32_ = startup_accounts;
#line 258 "../src/window/AccountDialog.vala"
				_tmp32__length1 = startup_accounts_length1;
#line 258 "../src/window/AccountDialog.vala"
				_tmp33_ = _tmp32_[i];
#line 258 "../src/window/AccountDialog.vala"
				_tmp34_ = self->priv->account;
#line 258 "../src/window/AccountDialog.vala"
				_tmp35_ = _tmp34_->screen_name;
#line 258 "../src/window/AccountDialog.vala"
				if (g_strcmp0 (_tmp33_, _tmp35_) == 0) {
#line 2001 "AccountDialog.c"
					gchar** sa_new = NULL;
					gchar** _tmp36_;
					gint _tmp36__length1;
					gchar** _tmp37_;
					gint sa_new_length1;
					gint _sa_new_size_;
					GSettings* _tmp51_;
					GSettings* _tmp52_;
					gchar** _tmp53_;
					gint _tmp53__length1;
#line 259 "../src/window/AccountDialog.vala"
					_tmp36_ = startup_accounts;
#line 259 "../src/window/AccountDialog.vala"
					_tmp36__length1 = startup_accounts_length1;
#line 259 "../src/window/AccountDialog.vala"
					_tmp37_ = g_new0 (gchar*, (_tmp36__length1 - 1) + 1);
#line 259 "../src/window/AccountDialog.vala"
					sa_new = _tmp37_;
#line 259 "../src/window/AccountDialog.vala"
					sa_new_length1 = _tmp36__length1 - 1;
#line 259 "../src/window/AccountDialog.vala"
					_sa_new_size_ = sa_new_length1;
#line 2024 "AccountDialog.c"
					{
						gint x = 0;
#line 260 "../src/window/AccountDialog.vala"
						x = 0;
#line 2029 "AccountDialog.c"
						{
							gboolean _tmp38_ = FALSE;
#line 260 "../src/window/AccountDialog.vala"
							_tmp38_ = TRUE;
#line 260 "../src/window/AccountDialog.vala"
							while (TRUE) {
#line 2036 "AccountDialog.c"
								gchar** _tmp40_;
								gint _tmp40__length1;
								gchar** _tmp41_;
								gint _tmp41__length1;
								const gchar* _tmp42_;
								gchar* _tmp43_;
#line 260 "../src/window/AccountDialog.vala"
								if (!_tmp38_) {
#line 2045 "AccountDialog.c"
									gint _tmp39_;
#line 260 "../src/window/AccountDialog.vala"
									_tmp39_ = i;
#line 260 "../src/window/AccountDialog.vala"
									i = _tmp39_ + 1;
#line 2051 "AccountDialog.c"
								}
#line 260 "../src/window/AccountDialog.vala"
								_tmp38_ = FALSE;
#line 260 "../src/window/AccountDialog.vala"
								if (!(x < i)) {
#line 260 "../src/window/AccountDialog.vala"
									break;
#line 2059 "AccountDialog.c"
								}
#line 261 "../src/window/AccountDialog.vala"
								_tmp40_ = sa_new;
#line 261 "../src/window/AccountDialog.vala"
								_tmp40__length1 = sa_new_length1;
#line 261 "../src/window/AccountDialog.vala"
								_tmp41_ = startup_accounts;
#line 261 "../src/window/AccountDialog.vala"
								_tmp41__length1 = startup_accounts_length1;
#line 261 "../src/window/AccountDialog.vala"
								_tmp42_ = _tmp41_[x];
#line 261 "../src/window/AccountDialog.vala"
								_tmp43_ = g_strdup (_tmp42_);
#line 261 "../src/window/AccountDialog.vala"
								_g_free0 (_tmp40_[x]);
#line 261 "../src/window/AccountDialog.vala"
								_tmp40_[x] = _tmp43_;
#line 2077 "AccountDialog.c"
							}
						}
					}
					{
						gint x = 0;
#line 262 "../src/window/AccountDialog.vala"
						x = i + 1;
#line 2085 "AccountDialog.c"
						{
							gboolean _tmp44_ = FALSE;
#line 262 "../src/window/AccountDialog.vala"
							_tmp44_ = TRUE;
#line 262 "../src/window/AccountDialog.vala"
							while (TRUE) {
#line 2092 "AccountDialog.c"
								gchar** _tmp46_;
								gint _tmp46__length1;
								gchar** _tmp47_;
								gint _tmp47__length1;
								gchar** _tmp48_;
								gint _tmp48__length1;
								const gchar* _tmp49_;
								gchar* _tmp50_;
#line 262 "../src/window/AccountDialog.vala"
								if (!_tmp44_) {
#line 2103 "AccountDialog.c"
									gint _tmp45_;
#line 262 "../src/window/AccountDialog.vala"
									_tmp45_ = x;
#line 262 "../src/window/AccountDialog.vala"
									x = _tmp45_ + 1;
#line 2109 "AccountDialog.c"
								}
#line 262 "../src/window/AccountDialog.vala"
								_tmp44_ = FALSE;
#line 262 "../src/window/AccountDialog.vala"
								_tmp46_ = startup_accounts;
#line 262 "../src/window/AccountDialog.vala"
								_tmp46__length1 = startup_accounts_length1;
#line 262 "../src/window/AccountDialog.vala"
								if (!(x < _tmp46__length1)) {
#line 262 "../src/window/AccountDialog.vala"
									break;
#line 2121 "AccountDialog.c"
								}
#line 263 "../src/window/AccountDialog.vala"
								_tmp47_ = sa_new;
#line 263 "../src/window/AccountDialog.vala"
								_tmp47__length1 = sa_new_length1;
#line 263 "../src/window/AccountDialog.vala"
								_tmp48_ = startup_accounts;
#line 263 "../src/window/AccountDialog.vala"
								_tmp48__length1 = startup_accounts_length1;
#line 263 "../src/window/AccountDialog.vala"
								_tmp49_ = _tmp48_[x];
#line 263 "../src/window/AccountDialog.vala"
								_tmp50_ = g_strdup (_tmp49_);
#line 263 "../src/window/AccountDialog.vala"
								_g_free0 (_tmp47_[x]);
#line 263 "../src/window/AccountDialog.vala"
								_tmp47_[x] = _tmp50_;
#line 2139 "AccountDialog.c"
							}
						}
					}
#line 264 "../src/window/AccountDialog.vala"
					_tmp51_ = settings_get ();
#line 264 "../src/window/AccountDialog.vala"
					_tmp52_ = _tmp51_;
#line 264 "../src/window/AccountDialog.vala"
					_tmp53_ = sa_new;
#line 264 "../src/window/AccountDialog.vala"
					_tmp53__length1 = sa_new_length1;
#line 264 "../src/window/AccountDialog.vala"
					g_settings_set_strv (_tmp52_, "startup-accounts", _tmp53_);
#line 264 "../src/window/AccountDialog.vala"
					_g_object_unref0 (_tmp52_);
#line 258 "../src/window/AccountDialog.vala"
					sa_new = (_vala_array_free (sa_new, sa_new_length1, (GDestroyNotify) g_free), NULL);
#line 2157 "AccountDialog.c"
				}
			}
		}
	}
#line 267 "../src/window/AccountDialog.vala"
	_tmp54_ = g_application_get_default ();
#line 267 "../src/window/AccountDialog.vala"
	_tmp55_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp54_, TYPE_CAWBIRD, Cawbird));
#line 267 "../src/window/AccountDialog.vala"
	cb = _tmp55_;
#line 272 "../src/window/AccountDialog.vala"
	_tmp56_ = cb;
#line 272 "../src/window/AccountDialog.vala"
	_tmp57_ = gtk_application_get_windows ((GtkApplication*) _tmp56_);
#line 272 "../src/window/AccountDialog.vala"
	windows = _tmp57_;
#line 273 "../src/window/AccountDialog.vala"
	account_window = NULL;
#line 274 "../src/window/AccountDialog.vala"
	n_main_windows = 0;
#line 275 "../src/window/AccountDialog.vala"
	_tmp58_ = windows;
#line 2180 "AccountDialog.c"
	{
		GList* win_collection = NULL;
		GList* win_it = NULL;
#line 275 "../src/window/AccountDialog.vala"
		win_collection = _tmp58_;
#line 275 "../src/window/AccountDialog.vala"
		for (win_it = win_collection; win_it != NULL; win_it = win_it->next) {
#line 2188 "AccountDialog.c"
			GtkWindow* _tmp59_;
			GtkWindow* win = NULL;
#line 275 "../src/window/AccountDialog.vala"
			_tmp59_ = _g_object_ref0 ((GtkWindow*) win_it->data);
#line 275 "../src/window/AccountDialog.vala"
			win = _tmp59_;
#line 2195 "AccountDialog.c"
			{
				GtkWindow* _tmp60_;
#line 276 "../src/window/AccountDialog.vala"
				_tmp60_ = win;
#line 276 "../src/window/AccountDialog.vala"
				if (IS_MAIN_WINDOW (_tmp60_)) {
#line 2202 "AccountDialog.c"
					gint _tmp61_;
					MainWindow* main_win = NULL;
					GtkWindow* _tmp62_;
					MainWindow* _tmp63_;
					gboolean _tmp64_ = FALSE;
					MainWindow* _tmp65_;
					Account* _tmp66_;
#line 277 "../src/window/AccountDialog.vala"
					_tmp61_ = n_main_windows;
#line 277 "../src/window/AccountDialog.vala"
					n_main_windows = _tmp61_ + 1;
#line 278 "../src/window/AccountDialog.vala"
					_tmp62_ = win;
#line 278 "../src/window/AccountDialog.vala"
					_tmp63_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp62_, TYPE_MAIN_WINDOW, MainWindow));
#line 278 "../src/window/AccountDialog.vala"
					main_win = _tmp63_;
#line 279 "../src/window/AccountDialog.vala"
					_tmp65_ = main_win;
#line 279 "../src/window/AccountDialog.vala"
					_tmp66_ = _tmp65_->account;
#line 279 "../src/window/AccountDialog.vala"
					if (_tmp66_ != NULL) {
#line 2226 "AccountDialog.c"
						MainWindow* _tmp67_;
						Account* _tmp68_;
						Account* _tmp69_;
#line 279 "../src/window/AccountDialog.vala"
						_tmp67_ = main_win;
#line 279 "../src/window/AccountDialog.vala"
						_tmp68_ = _tmp67_->account;
#line 279 "../src/window/AccountDialog.vala"
						_tmp69_ = self->priv->account;
#line 279 "../src/window/AccountDialog.vala"
						_tmp64_ = _tmp68_->id == _tmp69_->id;
#line 2238 "AccountDialog.c"
					} else {
#line 279 "../src/window/AccountDialog.vala"
						_tmp64_ = FALSE;
#line 2242 "AccountDialog.c"
					}
#line 279 "../src/window/AccountDialog.vala"
					if (_tmp64_) {
#line 2246 "AccountDialog.c"
						GtkWindow* _tmp70_;
						GtkWindow* _tmp71_;
#line 280 "../src/window/AccountDialog.vala"
						_tmp70_ = win;
#line 280 "../src/window/AccountDialog.vala"
						_tmp71_ = _g_object_ref0 (_tmp70_);
#line 280 "../src/window/AccountDialog.vala"
						_g_object_unref0 (account_window);
#line 280 "../src/window/AccountDialog.vala"
						account_window = _tmp71_;
#line 2257 "AccountDialog.c"
					}
#line 276 "../src/window/AccountDialog.vala"
					_g_object_unref0 (main_win);
#line 2261 "AccountDialog.c"
				}
#line 275 "../src/window/AccountDialog.vala"
				_g_object_unref0 (win);
#line 2265 "AccountDialog.c"
			}
		}
	}
#line 284 "../src/window/AccountDialog.vala"
	g_debug ("AccountDialog.vala:284: Open main windows: %d", n_main_windows);
#line 286 "../src/window/AccountDialog.vala"
	_tmp72_ = account_window;
#line 286 "../src/window/AccountDialog.vala"
	if (_tmp72_ != NULL) {
#line 287 "../src/window/AccountDialog.vala"
		if (n_main_windows > 1) {
#line 2277 "AccountDialog.c"
			GtkWindow* _tmp73_;
#line 288 "../src/window/AccountDialog.vala"
			_tmp73_ = account_window;
#line 288 "../src/window/AccountDialog.vala"
			gtk_widget_destroy ((GtkWidget*) _tmp73_);
#line 2283 "AccountDialog.c"
		} else {
			Account* first_acct = NULL;
			Account* first_startup_acct = NULL;
			GSettings* _tmp74_;
			GSettings* _tmp75_;
			gchar** _tmp76_;
			gchar** _tmp77_;
			gchar* startup_acct = NULL;
			gchar** _tmp78_;
			gint _tmp78__length1;
			Account* _tmp97_ = NULL;
			Account* _tmp98_;
			GtkWindow* _tmp100_;
#line 291 "../src/window/AccountDialog.vala"
			first_acct = NULL;
#line 292 "../src/window/AccountDialog.vala"
			first_startup_acct = NULL;
#line 293 "../src/window/AccountDialog.vala"
			_tmp74_ = settings_get ();
#line 293 "../src/window/AccountDialog.vala"
			_tmp75_ = _tmp74_;
#line 293 "../src/window/AccountDialog.vala"
			_tmp77_ = _tmp76_ = g_settings_get_strv (_tmp75_, "startup-accounts");
#line 293 "../src/window/AccountDialog.vala"
			startup_accounts = (_vala_array_free (startup_accounts, startup_accounts_length1, (GDestroyNotify) g_free), NULL);
#line 293 "../src/window/AccountDialog.vala"
			startup_accounts = _tmp77_;
#line 293 "../src/window/AccountDialog.vala"
			startup_accounts_length1 = _vala_array_length (_tmp76_);
#line 293 "../src/window/AccountDialog.vala"
			_startup_accounts_size_ = startup_accounts_length1;
#line 293 "../src/window/AccountDialog.vala"
			_g_object_unref0 (_tmp75_);
#line 294 "../src/window/AccountDialog.vala"
			startup_acct = NULL;
#line 295 "../src/window/AccountDialog.vala"
			_tmp78_ = startup_accounts;
#line 295 "../src/window/AccountDialog.vala"
			_tmp78__length1 = startup_accounts_length1;
#line 295 "../src/window/AccountDialog.vala"
			if (_tmp78__length1 > 0) {
#line 2325 "AccountDialog.c"
				gchar** _tmp79_;
				gint _tmp79__length1;
				const gchar* _tmp80_;
				gchar* _tmp81_;
#line 296 "../src/window/AccountDialog.vala"
				_tmp79_ = startup_accounts;
#line 296 "../src/window/AccountDialog.vala"
				_tmp79__length1 = startup_accounts_length1;
#line 296 "../src/window/AccountDialog.vala"
				_tmp80_ = _tmp79_[0];
#line 296 "../src/window/AccountDialog.vala"
				_tmp81_ = g_strdup (_tmp80_);
#line 296 "../src/window/AccountDialog.vala"
				_g_free0 (startup_acct);
#line 296 "../src/window/AccountDialog.vala"
				startup_acct = _tmp81_;
#line 2342 "AccountDialog.c"
			}
			{
				guint i = 0U;
#line 299 "../src/window/AccountDialog.vala"
				i = (guint) 0;
#line 2348 "AccountDialog.c"
				{
					gboolean _tmp82_ = FALSE;
#line 299 "../src/window/AccountDialog.vala"
					_tmp82_ = TRUE;
#line 299 "../src/window/AccountDialog.vala"
					while (TRUE) {
#line 2355 "AccountDialog.c"
						Account* acct = NULL;
						Account* _tmp84_;
						Account* _tmp85_;
						const gchar* _tmp86_;
						Account* _tmp87_;
						const gchar* _tmp88_;
#line 299 "../src/window/AccountDialog.vala"
						if (!_tmp82_) {
#line 2364 "AccountDialog.c"
							guint _tmp83_;
#line 299 "../src/window/AccountDialog.vala"
							_tmp83_ = i;
#line 299 "../src/window/AccountDialog.vala"
							i = _tmp83_ + 1;
#line 2370 "AccountDialog.c"
						}
#line 299 "../src/window/AccountDialog.vala"
						_tmp82_ = FALSE;
#line 299 "../src/window/AccountDialog.vala"
						if (!(i < account_get_n ())) {
#line 299 "../src/window/AccountDialog.vala"
							break;
#line 2378 "AccountDialog.c"
						}
#line 300 "../src/window/AccountDialog.vala"
						_tmp84_ = account_get_nth (i);
#line 300 "../src/window/AccountDialog.vala"
						acct = _tmp84_;
#line 301 "../src/window/AccountDialog.vala"
						_tmp85_ = acct;
#line 301 "../src/window/AccountDialog.vala"
						_tmp86_ = _tmp85_->screen_name;
#line 301 "../src/window/AccountDialog.vala"
						_tmp87_ = self->priv->account;
#line 301 "../src/window/AccountDialog.vala"
						_tmp88_ = _tmp87_->screen_name;
#line 301 "../src/window/AccountDialog.vala"
						if (g_strcmp0 (_tmp86_, _tmp88_) == 0) {
#line 302 "../src/window/AccountDialog.vala"
							_g_object_unref0 (acct);
#line 302 "../src/window/AccountDialog.vala"
							continue;
#line 2398 "AccountDialog.c"
						} else {
							Account* _tmp89_;
							const gchar* _tmp90_;
							const gchar* _tmp91_;
#line 304 "../src/window/AccountDialog.vala"
							_tmp89_ = acct;
#line 304 "../src/window/AccountDialog.vala"
							_tmp90_ = _tmp89_->screen_name;
#line 304 "../src/window/AccountDialog.vala"
							_tmp91_ = startup_acct;
#line 304 "../src/window/AccountDialog.vala"
							if (g_strcmp0 (_tmp90_, _tmp91_) == 0) {
#line 2411 "AccountDialog.c"
								Account* _tmp92_;
								Account* _tmp93_;
#line 305 "../src/window/AccountDialog.vala"
								_tmp92_ = acct;
#line 305 "../src/window/AccountDialog.vala"
								_tmp93_ = _g_object_ref0 (_tmp92_);
#line 305 "../src/window/AccountDialog.vala"
								_g_object_unref0 (first_startup_acct);
#line 305 "../src/window/AccountDialog.vala"
								first_startup_acct = _tmp93_;
#line 2422 "AccountDialog.c"
							} else {
								Account* _tmp94_;
#line 307 "../src/window/AccountDialog.vala"
								_tmp94_ = first_acct;
#line 307 "../src/window/AccountDialog.vala"
								if (_tmp94_ == NULL) {
#line 2429 "AccountDialog.c"
									Account* _tmp95_;
									Account* _tmp96_;
#line 308 "../src/window/AccountDialog.vala"
									_tmp95_ = acct;
#line 308 "../src/window/AccountDialog.vala"
									_tmp96_ = _g_object_ref0 (_tmp95_);
#line 308 "../src/window/AccountDialog.vala"
									_g_object_unref0 (first_acct);
#line 308 "../src/window/AccountDialog.vala"
									first_acct = _tmp96_;
#line 2440 "AccountDialog.c"
								}
							}
						}
#line 299 "../src/window/AccountDialog.vala"
						_g_object_unref0 (acct);
#line 2446 "AccountDialog.c"
					}
				}
			}
#line 312 "../src/window/AccountDialog.vala"
			_tmp98_ = first_startup_acct;
#line 312 "../src/window/AccountDialog.vala"
			_tmp97_ = _tmp98_;
#line 312 "../src/window/AccountDialog.vala"
			if (_tmp97_ == NULL) {
#line 2456 "AccountDialog.c"
				Account* _tmp99_;
#line 312 "../src/window/AccountDialog.vala"
				_tmp99_ = first_acct;
#line 312 "../src/window/AccountDialog.vala"
				_tmp97_ = _tmp99_;
#line 2462 "AccountDialog.c"
			}
#line 312 "../src/window/AccountDialog.vala"
			_tmp100_ = account_window;
#line 312 "../src/window/AccountDialog.vala"
			main_window_change_account (G_TYPE_CHECK_INSTANCE_CAST (_tmp100_, TYPE_MAIN_WINDOW, MainWindow), _tmp97_);
#line 287 "../src/window/AccountDialog.vala"
			_g_free0 (startup_acct);
#line 287 "../src/window/AccountDialog.vala"
			_g_object_unref0 (first_startup_acct);
#line 287 "../src/window/AccountDialog.vala"
			_g_object_unref0 (first_acct);
#line 2474 "AccountDialog.c"
		}
	}
#line 318 "../src/window/AccountDialog.vala"
	_tmp101_ = account_query_account_by_id (acc_id);
#line 318 "../src/window/AccountDialog.vala"
	_tmp102_ = _g_object_ref0 (_tmp101_);
#line 318 "../src/window/AccountDialog.vala"
	acc_to_remove = _tmp102_;
#line 319 "../src/window/AccountDialog.vala"
	_tmp103_ = cb;
#line 319 "../src/window/AccountDialog.vala"
	g_signal_emit_by_name (_tmp103_, "account-removed", acc_to_remove);
#line 320 "../src/window/AccountDialog.vala"
	_tmp104_ = acc_to_remove->screen_name;
#line 320 "../src/window/AccountDialog.vala"
	account_remove_account (_tmp104_);
#line 324 "../src/window/AccountDialog.vala"
	gtk_widget_destroy ((GtkWidget*) self);
#line 241 "../src/window/AccountDialog.vala"
	_g_object_unref0 (acc_to_remove);
#line 241 "../src/window/AccountDialog.vala"
	_g_object_unref0 (account_window);
#line 241 "../src/window/AccountDialog.vala"
	_g_object_unref0 (cb);
#line 241 "../src/window/AccountDialog.vala"
	startup_accounts = (_vala_array_free (startup_accounts, startup_accounts_length1, (GDestroyNotify) g_free), NULL);
#line 2501 "AccountDialog.c"
}

static void
_account_dialog_delete_confirm_button_clicked_cb_gtk_button_clicked (GtkButton* _sender,
                                                                     gpointer self)
{
#line 19 "../src/window/AccountDialog.vala"
	account_dialog_delete_confirm_button_clicked_cb ((AccountDialog*) self);
#line 2510 "AccountDialog.c"
}

static void
account_dialog_delete_cancel_button_clicked_cb (AccountDialog* self)
{
	GtkStack* _tmp0_;
#line 328 "../src/window/AccountDialog.vala"
	g_return_if_fail (self != NULL);
#line 329 "../src/window/AccountDialog.vala"
	_tmp0_ = self->priv->delete_stack;
#line 329 "../src/window/AccountDialog.vala"
	gtk_stack_set_visible_child_name (_tmp0_, ACCOUNT_DIALOG_PAGE_NORMAL);
#line 2523 "AccountDialog.c"
}

static void
_account_dialog_delete_cancel_button_clicked_cb_gtk_button_clicked (GtkButton* _sender,
                                                                    gpointer self)
{
#line 19 "../src/window/AccountDialog.vala"
	account_dialog_delete_cancel_button_clicked_cb ((AccountDialog*) self);
#line 2532 "AccountDialog.c"
}

static void
account_dialog_autostart_switch_activate_cb (AccountDialog* self)
{
	gboolean active = FALSE;
	GtkSwitch* _tmp0_;
	gboolean _tmp1_;
	gboolean _tmp2_;
	gchar** startup_accounts = NULL;
	GSettings* _tmp3_;
	GSettings* _tmp4_;
	gchar** _tmp5_;
	gchar** _tmp6_;
	gchar** _tmp7_;
	gint _tmp7__length1;
	gint startup_accounts_length1;
	gint _startup_accounts_size_;
#line 333 "../src/window/AccountDialog.vala"
	g_return_if_fail (self != NULL);
#line 334 "../src/window/AccountDialog.vala"
	_tmp0_ = self->priv->autostart_switch;
#line 334 "../src/window/AccountDialog.vala"
	_tmp1_ = gtk_switch_get_active (_tmp0_);
#line 334 "../src/window/AccountDialog.vala"
	_tmp2_ = _tmp1_;
#line 334 "../src/window/AccountDialog.vala"
	active = _tmp2_;
#line 335 "../src/window/AccountDialog.vala"
	_tmp3_ = settings_get ();
#line 335 "../src/window/AccountDialog.vala"
	_tmp4_ = _tmp3_;
#line 335 "../src/window/AccountDialog.vala"
	_tmp6_ = _tmp5_ = g_settings_get_strv (_tmp4_, "startup-accounts");
#line 335 "../src/window/AccountDialog.vala"
	_tmp7_ = _tmp6_;
#line 335 "../src/window/AccountDialog.vala"
	_tmp7__length1 = _vala_array_length (_tmp5_);
#line 335 "../src/window/AccountDialog.vala"
	_g_object_unref0 (_tmp4_);
#line 335 "../src/window/AccountDialog.vala"
	startup_accounts = _tmp7_;
#line 335 "../src/window/AccountDialog.vala"
	startup_accounts_length1 = _tmp7__length1;
#line 335 "../src/window/AccountDialog.vala"
	_startup_accounts_size_ = startup_accounts_length1;
#line 336 "../src/window/AccountDialog.vala"
	if (active) {
#line 2581 "AccountDialog.c"
		gchar** _tmp8_;
		gint _tmp8__length1;
		gchar** new_startup_accounts = NULL;
		gchar** _tmp12_;
		gint _tmp12__length1;
		gchar** _tmp13_;
		gint new_startup_accounts_length1;
		gint _new_startup_accounts_size_;
		gint i = 0;
		gchar** _tmp14_;
		gint _tmp14__length1;
		gchar** _tmp19_;
		gint _tmp19__length1;
		gchar** _tmp20_;
		gint _tmp20__length1;
		Account* _tmp21_;
		const gchar* _tmp22_;
		gchar* _tmp23_;
		GSettings* _tmp24_;
		GSettings* _tmp25_;
		gchar** _tmp26_;
		gint _tmp26__length1;
#line 337 "../src/window/AccountDialog.vala"
		_tmp8_ = startup_accounts;
#line 337 "../src/window/AccountDialog.vala"
		_tmp8__length1 = startup_accounts_length1;
#line 2608 "AccountDialog.c"
		{
			gchar** acc_collection = NULL;
			gint acc_collection_length1 = 0;
			gint _acc_collection_size_ = 0;
			gint acc_it = 0;
#line 337 "../src/window/AccountDialog.vala"
			acc_collection = _tmp8_;
#line 337 "../src/window/AccountDialog.vala"
			acc_collection_length1 = _tmp8__length1;
#line 337 "../src/window/AccountDialog.vala"
			for (acc_it = 0; acc_it < acc_collection_length1; acc_it = acc_it + 1) {
#line 2620 "AccountDialog.c"
				const gchar* acc = NULL;
#line 337 "../src/window/AccountDialog.vala"
				acc = acc_collection[acc_it];
#line 2624 "AccountDialog.c"
				{
					const gchar* _tmp9_;
					Account* _tmp10_;
					const gchar* _tmp11_;
#line 338 "../src/window/AccountDialog.vala"
					_tmp9_ = acc;
#line 338 "../src/window/AccountDialog.vala"
					_tmp10_ = self->priv->account;
#line 338 "../src/window/AccountDialog.vala"
					_tmp11_ = _tmp10_->screen_name;
#line 338 "../src/window/AccountDialog.vala"
					if (g_strcmp0 (_tmp9_, _tmp11_) == 0) {
#line 339 "../src/window/AccountDialog.vala"
						startup_accounts = (_vala_array_free (startup_accounts, startup_accounts_length1, (GDestroyNotify) g_free), NULL);
#line 339 "../src/window/AccountDialog.vala"
						return;
#line 2641 "AccountDialog.c"
					}
				}
			}
		}
#line 343 "../src/window/AccountDialog.vala"
		_tmp12_ = startup_accounts;
#line 343 "../src/window/AccountDialog.vala"
		_tmp12__length1 = startup_accounts_length1;
#line 343 "../src/window/AccountDialog.vala"
		_tmp13_ = g_new0 (gchar*, (_tmp12__length1 + 1) + 1);
#line 343 "../src/window/AccountDialog.vala"
		new_startup_accounts = _tmp13_;
#line 343 "../src/window/AccountDialog.vala"
		new_startup_accounts_length1 = _tmp12__length1 + 1;
#line 343 "../src/window/AccountDialog.vala"
		_new_startup_accounts_size_ = new_startup_accounts_length1;
#line 344 "../src/window/AccountDialog.vala"
		i = 0;
#line 345 "../src/window/AccountDialog.vala"
		_tmp14_ = startup_accounts;
#line 345 "../src/window/AccountDialog.vala"
		_tmp14__length1 = startup_accounts_length1;
#line 2664 "AccountDialog.c"
		{
			gchar** s_collection = NULL;
			gint s_collection_length1 = 0;
			gint _s_collection_size_ = 0;
			gint s_it = 0;
#line 345 "../src/window/AccountDialog.vala"
			s_collection = _tmp14_;
#line 345 "../src/window/AccountDialog.vala"
			s_collection_length1 = _tmp14__length1;
#line 345 "../src/window/AccountDialog.vala"
			for (s_it = 0; s_it < s_collection_length1; s_it = s_it + 1) {
#line 2676 "AccountDialog.c"
				const gchar* s = NULL;
#line 345 "../src/window/AccountDialog.vala"
				s = s_collection[s_it];
#line 2680 "AccountDialog.c"
				{
					gchar** _tmp15_;
					gint _tmp15__length1;
					const gchar* _tmp16_;
					gchar* _tmp17_;
					gint _tmp18_;
#line 346 "../src/window/AccountDialog.vala"
					_tmp15_ = new_startup_accounts;
#line 346 "../src/window/AccountDialog.vala"
					_tmp15__length1 = new_startup_accounts_length1;
#line 346 "../src/window/AccountDialog.vala"
					_tmp16_ = s;
#line 346 "../src/window/AccountDialog.vala"
					_tmp17_ = g_strdup (_tmp16_);
#line 346 "../src/window/AccountDialog.vala"
					_g_free0 (_tmp15_[i]);
#line 346 "../src/window/AccountDialog.vala"
					_tmp15_[i] = _tmp17_;
#line 347 "../src/window/AccountDialog.vala"
					_tmp18_ = i;
#line 347 "../src/window/AccountDialog.vala"
					i = _tmp18_ + 1;
#line 2703 "AccountDialog.c"
				}
			}
		}
#line 349 "../src/window/AccountDialog.vala"
		_tmp19_ = new_startup_accounts;
#line 349 "../src/window/AccountDialog.vala"
		_tmp19__length1 = new_startup_accounts_length1;
#line 349 "../src/window/AccountDialog.vala"
		_tmp20_ = new_startup_accounts;
#line 349 "../src/window/AccountDialog.vala"
		_tmp20__length1 = new_startup_accounts_length1;
#line 349 "../src/window/AccountDialog.vala"
		_tmp21_ = self->priv->account;
#line 349 "../src/window/AccountDialog.vala"
		_tmp22_ = _tmp21_->screen_name;
#line 349 "../src/window/AccountDialog.vala"
		_tmp23_ = g_strdup (_tmp22_);
#line 349 "../src/window/AccountDialog.vala"
		_g_free0 (_tmp19_[_tmp20__length1 - 1]);
#line 349 "../src/window/AccountDialog.vala"
		_tmp19_[_tmp20__length1 - 1] = _tmp23_;
#line 350 "../src/window/AccountDialog.vala"
		_tmp24_ = settings_get ();
#line 350 "../src/window/AccountDialog.vala"
		_tmp25_ = _tmp24_;
#line 350 "../src/window/AccountDialog.vala"
		_tmp26_ = new_startup_accounts;
#line 350 "../src/window/AccountDialog.vala"
		_tmp26__length1 = new_startup_accounts_length1;
#line 350 "../src/window/AccountDialog.vala"
		g_settings_set_strv (_tmp25_, "startup-accounts", _tmp26_);
#line 350 "../src/window/AccountDialog.vala"
		_g_object_unref0 (_tmp25_);
#line 336 "../src/window/AccountDialog.vala"
		new_startup_accounts = (_vala_array_free (new_startup_accounts, new_startup_accounts_length1, (GDestroyNotify) g_free), NULL);
#line 2739 "AccountDialog.c"
	} else {
		gchar** new_startup_accounts = NULL;
		gchar** _tmp27_;
		gint _tmp27__length1;
		gchar** _tmp28_;
		gint new_startup_accounts_length1;
		gint _new_startup_accounts_size_;
		gint i = 0;
		gchar** _tmp29_;
		gint _tmp29__length1;
		GSettings* _tmp37_;
		GSettings* _tmp38_;
		gchar** _tmp39_;
		gint _tmp39__length1;
#line 352 "../src/window/AccountDialog.vala"
		_tmp27_ = startup_accounts;
#line 352 "../src/window/AccountDialog.vala"
		_tmp27__length1 = startup_accounts_length1;
#line 352 "../src/window/AccountDialog.vala"
		_tmp28_ = g_new0 (gchar*, (_tmp27__length1 - 1) + 1);
#line 352 "../src/window/AccountDialog.vala"
		new_startup_accounts = _tmp28_;
#line 352 "../src/window/AccountDialog.vala"
		new_startup_accounts_length1 = _tmp27__length1 - 1;
#line 352 "../src/window/AccountDialog.vala"
		_new_startup_accounts_size_ = new_startup_accounts_length1;
#line 353 "../src/window/AccountDialog.vala"
		i = 0;
#line 354 "../src/window/AccountDialog.vala"
		_tmp29_ = startup_accounts;
#line 354 "../src/window/AccountDialog.vala"
		_tmp29__length1 = startup_accounts_length1;
#line 2772 "AccountDialog.c"
		{
			gchar** acc_collection = NULL;
			gint acc_collection_length1 = 0;
			gint _acc_collection_size_ = 0;
			gint acc_it = 0;
#line 354 "../src/window/AccountDialog.vala"
			acc_collection = _tmp29_;
#line 354 "../src/window/AccountDialog.vala"
			acc_collection_length1 = _tmp29__length1;
#line 354 "../src/window/AccountDialog.vala"
			for (acc_it = 0; acc_it < acc_collection_length1; acc_it = acc_it + 1) {
#line 2784 "AccountDialog.c"
				const gchar* acc = NULL;
#line 354 "../src/window/AccountDialog.vala"
				acc = acc_collection[acc_it];
#line 2788 "AccountDialog.c"
				{
					const gchar* _tmp30_;
					Account* _tmp31_;
					const gchar* _tmp32_;
#line 355 "../src/window/AccountDialog.vala"
					_tmp30_ = acc;
#line 355 "../src/window/AccountDialog.vala"
					_tmp31_ = self->priv->account;
#line 355 "../src/window/AccountDialog.vala"
					_tmp32_ = _tmp31_->screen_name;
#line 355 "../src/window/AccountDialog.vala"
					if (g_strcmp0 (_tmp30_, _tmp32_) != 0) {
#line 2801 "AccountDialog.c"
						gchar** _tmp33_;
						gint _tmp33__length1;
						const gchar* _tmp34_;
						gchar* _tmp35_;
						gint _tmp36_;
#line 356 "../src/window/AccountDialog.vala"
						_tmp33_ = new_startup_accounts;
#line 356 "../src/window/AccountDialog.vala"
						_tmp33__length1 = new_startup_accounts_length1;
#line 356 "../src/window/AccountDialog.vala"
						_tmp34_ = acc;
#line 356 "../src/window/AccountDialog.vala"
						_tmp35_ = g_strdup (_tmp34_);
#line 356 "../src/window/AccountDialog.vala"
						_g_free0 (_tmp33_[i]);
#line 356 "../src/window/AccountDialog.vala"
						_tmp33_[i] = _tmp35_;
#line 357 "../src/window/AccountDialog.vala"
						_tmp36_ = i;
#line 357 "../src/window/AccountDialog.vala"
						i = _tmp36_ + 1;
#line 2823 "AccountDialog.c"
					}
				}
			}
		}
#line 360 "../src/window/AccountDialog.vala"
		_tmp37_ = settings_get ();
#line 360 "../src/window/AccountDialog.vala"
		_tmp38_ = _tmp37_;
#line 360 "../src/window/AccountDialog.vala"
		_tmp39_ = new_startup_accounts;
#line 360 "../src/window/AccountDialog.vala"
		_tmp39__length1 = new_startup_accounts_length1;
#line 360 "../src/window/AccountDialog.vala"
		g_settings_set_strv (_tmp38_, "startup-accounts", _tmp39_);
#line 360 "../src/window/AccountDialog.vala"
		_g_object_unref0 (_tmp38_);
#line 336 "../src/window/AccountDialog.vala"
		new_startup_accounts = (_vala_array_free (new_startup_accounts, new_startup_accounts_length1, (GDestroyNotify) g_free), NULL);
#line 2842 "AccountDialog.c"
	}
#line 333 "../src/window/AccountDialog.vala"
	startup_accounts = (_vala_array_free (startup_accounts, startup_accounts_length1, (GDestroyNotify) g_free), NULL);
#line 2846 "AccountDialog.c"
}

static void
_account_dialog_autostart_switch_activate_cb_g_object_notify (GObject* _sender,
                                                              GParamSpec* pspec,
                                                              gpointer self)
{
#line 19 "../src/window/AccountDialog.vala"
	account_dialog_autostart_switch_activate_cb ((AccountDialog*) self);
#line 2856 "AccountDialog.c"
}

static void
account_dialog_show_crop_image_selector (AccountDialog* self)
{
	GtkFileChooserNative* filechooser = NULL;
	GtkFileChooserNative* _tmp0_;
	GtkFileFilter* filter = NULL;
	GtkFileFilter* _tmp1_;
	GtkFileFilter* _tmp2_;
	GtkFileFilter* _tmp3_;
	GtkFileChooserNative* _tmp4_;
	GtkFileFilter* _tmp5_;
	GtkFileChooserNative* _tmp6_;
	GError* _inner_error0_ = NULL;
#line 364 "../src/window/AccountDialog.vala"
	g_return_if_fail (self != NULL);
#line 365 "../src/window/AccountDialog.vala"
	_tmp0_ = gtk_file_chooser_native_new (_ ("Select Banner Image"), (GtkWindow*) self, GTK_FILE_CHOOSER_ACTION_OPEN, _ ("Open"), _ ("Cancel"));
#line 365 "../src/window/AccountDialog.vala"
	filechooser = _tmp0_;
#line 370 "../src/window/AccountDialog.vala"
	_tmp1_ = gtk_file_filter_new ();
#line 370 "../src/window/AccountDialog.vala"
	g_object_ref_sink (_tmp1_);
#line 370 "../src/window/AccountDialog.vala"
	filter = _tmp1_;
#line 371 "../src/window/AccountDialog.vala"
	_tmp2_ = filter;
#line 371 "../src/window/AccountDialog.vala"
	gtk_file_filter_add_mime_type (_tmp2_, "image/png");
#line 372 "../src/window/AccountDialog.vala"
	_tmp3_ = filter;
#line 372 "../src/window/AccountDialog.vala"
	gtk_file_filter_add_mime_type (_tmp3_, "image/jpeg");
#line 373 "../src/window/AccountDialog.vala"
	_tmp4_ = filechooser;
#line 373 "../src/window/AccountDialog.vala"
	_tmp5_ = filter;
#line 373 "../src/window/AccountDialog.vala"
	gtk_file_chooser_set_filter ((GtkFileChooser*) _tmp4_, _tmp5_);
#line 375 "../src/window/AccountDialog.vala"
	_tmp6_ = filechooser;
#line 375 "../src/window/AccountDialog.vala"
	if (gtk_native_dialog_run ((GtkNativeDialog*) _tmp6_) == ((gint) GTK_RESPONSE_ACCEPT)) {
#line 2902 "AccountDialog.c"
		gchar* selected_file = NULL;
		GtkFileChooserNative* _tmp7_;
		gchar* _tmp8_;
		GdkPixbuf* image = NULL;
		gint min_width = 0;
		gint min_height = 0;
		CropWidget* _tmp15_;
		gdouble _tmp16_;
		gdouble _tmp17_;
		gboolean _tmp18_ = FALSE;
		GdkPixbuf* _tmp19_;
#line 376 "../src/window/AccountDialog.vala"
		_tmp7_ = filechooser;
#line 376 "../src/window/AccountDialog.vala"
		_tmp8_ = gtk_file_chooser_get_filename ((GtkFileChooser*) _tmp7_);
#line 376 "../src/window/AccountDialog.vala"
		selected_file = _tmp8_;
#line 377 "../src/window/AccountDialog.vala"
		image = NULL;
#line 2922 "AccountDialog.c"
		{
			GdkPixbuf* _tmp9_ = NULL;
			const gchar* _tmp10_;
			GdkPixbuf* _tmp11_;
			GdkPixbuf* _tmp12_;
#line 379 "../src/window/AccountDialog.vala"
			_tmp10_ = selected_file;
#line 379 "../src/window/AccountDialog.vala"
			_tmp11_ = gdk_pixbuf_new_from_file (_tmp10_, &_inner_error0_);
#line 379 "../src/window/AccountDialog.vala"
			_tmp9_ = _tmp11_;
#line 379 "../src/window/AccountDialog.vala"
			if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 2936 "AccountDialog.c"
				goto __catch0_g_error;
			}
#line 379 "../src/window/AccountDialog.vala"
			_tmp12_ = _tmp9_;
#line 379 "../src/window/AccountDialog.vala"
			_tmp9_ = NULL;
#line 379 "../src/window/AccountDialog.vala"
			_g_object_unref0 (image);
#line 379 "../src/window/AccountDialog.vala"
			image = _tmp12_;
#line 378 "../src/window/AccountDialog.vala"
			_g_object_unref0 (_tmp9_);
#line 2949 "AccountDialog.c"
		}
		goto __finally0;
		__catch0_g_error:
		{
			GError* e = NULL;
			GError* _tmp13_;
			const gchar* _tmp14_;
#line 378 "../src/window/AccountDialog.vala"
			e = _inner_error0_;
#line 378 "../src/window/AccountDialog.vala"
			_inner_error0_ = NULL;
#line 381 "../src/window/AccountDialog.vala"
			_tmp13_ = e;
#line 381 "../src/window/AccountDialog.vala"
			_tmp14_ = _tmp13_->message;
#line 381 "../src/window/AccountDialog.vala"
			g_warning ("AccountDialog.vala:381: %s", _tmp14_);
#line 382 "../src/window/AccountDialog.vala"
			_g_error_free0 (e);
#line 382 "../src/window/AccountDialog.vala"
			_g_object_unref0 (image);
#line 382 "../src/window/AccountDialog.vala"
			_g_free0 (selected_file);
#line 382 "../src/window/AccountDialog.vala"
			_g_object_unref0 (filter);
#line 382 "../src/window/AccountDialog.vala"
			_g_object_unref0 (filechooser);
#line 382 "../src/window/AccountDialog.vala"
			return;
#line 2979 "AccountDialog.c"
		}
		__finally0:
#line 378 "../src/window/AccountDialog.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 378 "../src/window/AccountDialog.vala"
			_g_object_unref0 (image);
#line 378 "../src/window/AccountDialog.vala"
			_g_free0 (selected_file);
#line 378 "../src/window/AccountDialog.vala"
			_g_object_unref0 (filter);
#line 378 "../src/window/AccountDialog.vala"
			_g_object_unref0 (filechooser);
#line 378 "../src/window/AccountDialog.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 378 "../src/window/AccountDialog.vala"
			g_clear_error (&_inner_error0_);
#line 378 "../src/window/AccountDialog.vala"
			return;
#line 2998 "AccountDialog.c"
		}
#line 386 "../src/window/AccountDialog.vala"
		min_width = 200;
#line 387 "../src/window/AccountDialog.vala"
		min_height = 100;
#line 389 "../src/window/AccountDialog.vala"
		_tmp15_ = self->priv->crop_widget;
#line 389 "../src/window/AccountDialog.vala"
		_tmp16_ = crop_widget_get_desired_aspect_ratio (_tmp15_);
#line 389 "../src/window/AccountDialog.vala"
		_tmp17_ = _tmp16_;
#line 389 "../src/window/AccountDialog.vala"
		if (_tmp17_ == 1.0) {
#line 391 "../src/window/AccountDialog.vala"
			min_width = 48;
#line 392 "../src/window/AccountDialog.vala"
			min_height = 48;
#line 3016 "AccountDialog.c"
		}
#line 395 "../src/window/AccountDialog.vala"
		_tmp19_ = image;
#line 395 "../src/window/AccountDialog.vala"
		if (gdk_pixbuf_get_width (_tmp19_) >= min_width) {
#line 3022 "AccountDialog.c"
			GdkPixbuf* _tmp20_;
#line 396 "../src/window/AccountDialog.vala"
			_tmp20_ = image;
#line 396 "../src/window/AccountDialog.vala"
			_tmp18_ = gdk_pixbuf_get_height (_tmp20_) >= min_height;
#line 3028 "AccountDialog.c"
		} else {
#line 395 "../src/window/AccountDialog.vala"
			_tmp18_ = FALSE;
#line 3032 "AccountDialog.c"
		}
#line 395 "../src/window/AccountDialog.vala"
		if (_tmp18_) {
#line 3036 "AccountDialog.c"
			CropWidget* _tmp21_;
			GdkPixbuf* _tmp22_;
			GtkButton* _tmp23_;
#line 397 "../src/window/AccountDialog.vala"
			_tmp21_ = self->priv->crop_widget;
#line 397 "../src/window/AccountDialog.vala"
			_tmp22_ = image;
#line 397 "../src/window/AccountDialog.vala"
			crop_widget_set_image (_tmp21_, _tmp22_);
#line 398 "../src/window/AccountDialog.vala"
			_tmp23_ = self->priv->save_button;
#line 398 "../src/window/AccountDialog.vala"
			gtk_widget_set_sensitive ((GtkWidget*) _tmp23_, TRUE);
#line 3050 "AccountDialog.c"
		} else {
			gchar* error_str = NULL;
			gchar* _tmp24_;
			const gchar* _tmp25_;
			gchar* _tmp26_;
			gchar* _tmp27_;
			gchar* _tmp28_;
			const gchar* _tmp29_;
			gchar* _tmp30_;
			gchar* _tmp31_;
			gchar* _tmp32_;
			gchar* _tmp33_;
			gchar* _tmp34_;
			const gchar* _tmp35_;
			gchar* _tmp36_;
			gchar* _tmp37_;
			gchar* _tmp38_;
			GtkLabel* _tmp39_;
			const gchar* _tmp40_;
			GtkStack* _tmp41_;
			GtkLabel* _tmp42_;
			GtkButton* _tmp43_;
#line 400 "../src/window/AccountDialog.vala"
			_tmp24_ = g_strdup ("");
#line 400 "../src/window/AccountDialog.vala"
			error_str = _tmp24_;
#line 401 "../src/window/AccountDialog.vala"
			_tmp25_ = error_str;
#line 401 "../src/window/AccountDialog.vala"
			_tmp26_ = g_strconcat (_ ("Image does not meet minimum size requirements:"), "\n", NULL);
#line 401 "../src/window/AccountDialog.vala"
			_tmp27_ = _tmp26_;
#line 401 "../src/window/AccountDialog.vala"
			_tmp28_ = g_strconcat (_tmp25_, _tmp27_, NULL);
#line 401 "../src/window/AccountDialog.vala"
			_g_free0 (error_str);
#line 401 "../src/window/AccountDialog.vala"
			error_str = _tmp28_;
#line 401 "../src/window/AccountDialog.vala"
			_g_free0 (_tmp27_);
#line 402 "../src/window/AccountDialog.vala"
			_tmp29_ = error_str;
#line 402 "../src/window/AccountDialog.vala"
			_tmp30_ = g_strdup_printf (ngettext ("Minimum width: %d pixel", "Minimum width: %d pixels", (gulong) min_width), min_width);
#line 402 "../src/window/AccountDialog.vala"
			_tmp31_ = _tmp30_;
#line 402 "../src/window/AccountDialog.vala"
			_tmp32_ = g_strconcat (_tmp31_, "\n", NULL);
#line 402 "../src/window/AccountDialog.vala"
			_tmp33_ = _tmp32_;
#line 402 "../src/window/AccountDialog.vala"
			_tmp34_ = g_strconcat (_tmp29_, _tmp33_, NULL);
#line 402 "../src/window/AccountDialog.vala"
			_g_free0 (error_str);
#line 402 "../src/window/AccountDialog.vala"
			error_str = _tmp34_;
#line 402 "../src/window/AccountDialog.vala"
			_g_free0 (_tmp33_);
#line 402 "../src/window/AccountDialog.vala"
			_g_free0 (_tmp31_);
#line 404 "../src/window/AccountDialog.vala"
			_tmp35_ = error_str;
#line 404 "../src/window/AccountDialog.vala"
			_tmp36_ = g_strdup_printf (ngettext ("Minimum height: %d pixel", "Minimum height: %d pixels", (gulong) min_height), min_height);
#line 404 "../src/window/AccountDialog.vala"
			_tmp37_ = _tmp36_;
#line 404 "../src/window/AccountDialog.vala"
			_tmp38_ = g_strconcat (_tmp35_, _tmp37_, NULL);
#line 404 "../src/window/AccountDialog.vala"
			_g_free0 (error_str);
#line 404 "../src/window/AccountDialog.vala"
			error_str = _tmp38_;
#line 404 "../src/window/AccountDialog.vala"
			_g_free0 (_tmp37_);
#line 406 "../src/window/AccountDialog.vala"
			_tmp39_ = self->priv->error_label;
#line 406 "../src/window/AccountDialog.vala"
			_tmp40_ = error_str;
#line 406 "../src/window/AccountDialog.vala"
			gtk_label_set_label (_tmp39_, _tmp40_);
#line 407 "../src/window/AccountDialog.vala"
			_tmp41_ = self->priv->content_stack;
#line 407 "../src/window/AccountDialog.vala"
			_tmp42_ = self->priv->error_label;
#line 407 "../src/window/AccountDialog.vala"
			gtk_stack_set_visible_child (_tmp41_, (GtkWidget*) _tmp42_);
#line 408 "../src/window/AccountDialog.vala"
			_tmp43_ = self->priv->save_button;
#line 408 "../src/window/AccountDialog.vala"
			gtk_widget_set_sensitive ((GtkWidget*) _tmp43_, FALSE);
#line 395 "../src/window/AccountDialog.vala"
			_g_free0 (error_str);
#line 3143 "AccountDialog.c"
		}
#line 375 "../src/window/AccountDialog.vala"
		_g_object_unref0 (image);
#line 375 "../src/window/AccountDialog.vala"
		_g_free0 (selected_file);
#line 3149 "AccountDialog.c"
	} else {
		GtkStack* _tmp44_;
		GtkBox* _tmp45_;
#line 411 "../src/window/AccountDialog.vala"
		_tmp44_ = self->priv->content_stack;
#line 411 "../src/window/AccountDialog.vala"
		_tmp45_ = self->priv->info_box;
#line 411 "../src/window/AccountDialog.vala"
		gtk_stack_set_visible_child (_tmp44_, (GtkWidget*) _tmp45_);
#line 3159 "AccountDialog.c"
	}
#line 364 "../src/window/AccountDialog.vala"
	_g_object_unref0 (filter);
#line 364 "../src/window/AccountDialog.vala"
	_g_object_unref0 (filechooser);
#line 3165 "AccountDialog.c"
}

static void
account_dialog_avatar_clicked_cb (AccountDialog* self)
{
	gint _tmp0_ = 0;
	gint _tmp1_ = 0;
	CropWidget* _tmp2_;
	CropWidget* _tmp3_;
	CropWidget* _tmp4_;
	CropWidget* _tmp5_;
	GtkStack* _tmp6_;
	CropWidget* _tmp7_;
	GtkButton* _tmp8_;
#line 416 "../src/window/AccountDialog.vala"
	g_return_if_fail (self != NULL);
#line 417 "../src/window/AccountDialog.vala"
	gtk_window_get_size ((GtkWindow*) self, &_tmp0_, &_tmp1_);
#line 417 "../src/window/AccountDialog.vala"
	self->priv->old_width = _tmp0_;
#line 417 "../src/window/AccountDialog.vala"
	self->priv->old_height = _tmp1_;
#line 418 "../src/window/AccountDialog.vala"
	gtk_window_resize ((GtkWindow*) self, 400, 400);
#line 419 "../src/window/AccountDialog.vala"
	_tmp2_ = self->priv->crop_widget;
#line 419 "../src/window/AccountDialog.vala"
	crop_widget_set_image (_tmp2_, NULL);
#line 420 "../src/window/AccountDialog.vala"
	_tmp3_ = self->priv->crop_widget;
#line 420 "../src/window/AccountDialog.vala"
	gtk_widget_set_size_request ((GtkWidget*) _tmp3_, -1, 400);
#line 421 "../src/window/AccountDialog.vala"
	_tmp4_ = self->priv->crop_widget;
#line 421 "../src/window/AccountDialog.vala"
	crop_widget_set_desired_aspect_ratio (_tmp4_, 1.0);
#line 422 "../src/window/AccountDialog.vala"
	_tmp5_ = self->priv->crop_widget;
#line 422 "../src/window/AccountDialog.vala"
	crop_widget_set_min_size (_tmp5_, 48);
#line 423 "../src/window/AccountDialog.vala"
	_tmp6_ = self->priv->content_stack;
#line 423 "../src/window/AccountDialog.vala"
	_tmp7_ = self->priv->crop_widget;
#line 423 "../src/window/AccountDialog.vala"
	gtk_stack_set_visible_child (_tmp6_, (GtkWidget*) _tmp7_);
#line 424 "../src/window/AccountDialog.vala"
	account_dialog_show_crop_image_selector (self);
#line 425 "../src/window/AccountDialog.vala"
	_tmp8_ = self->priv->save_button;
#line 425 "../src/window/AccountDialog.vala"
	gtk_button_set_label (_tmp8_, _ ("Pick"));
#line 3218 "AccountDialog.c"
}

static void
_account_dialog_avatar_clicked_cb_avatar_banner_widget_avatar_clicked (AvatarBannerWidget* _sender,
                                                                       gpointer self)
{
#line 19 "../src/window/AccountDialog.vala"
	account_dialog_avatar_clicked_cb ((AccountDialog*) self);
#line 3227 "AccountDialog.c"
}

static void
account_dialog_banner_clicked_cb (AccountDialog* self)
{
	gint _tmp0_ = 0;
	gint _tmp1_ = 0;
	CropWidget* _tmp2_;
	CropWidget* _tmp3_;
	CropWidget* _tmp4_;
	CropWidget* _tmp5_;
	GtkStack* _tmp6_;
	CropWidget* _tmp7_;
	GtkButton* _tmp8_;
#line 429 "../src/window/AccountDialog.vala"
	g_return_if_fail (self != NULL);
#line 430 "../src/window/AccountDialog.vala"
	gtk_window_get_size ((GtkWindow*) self, &_tmp0_, &_tmp1_);
#line 430 "../src/window/AccountDialog.vala"
	self->priv->old_width = _tmp0_;
#line 430 "../src/window/AccountDialog.vala"
	self->priv->old_height = _tmp1_;
#line 431 "../src/window/AccountDialog.vala"
	gtk_window_resize ((GtkWindow*) self, 700, 350);
#line 432 "../src/window/AccountDialog.vala"
	_tmp2_ = self->priv->crop_widget;
#line 432 "../src/window/AccountDialog.vala"
	gtk_widget_set_size_request ((GtkWidget*) _tmp2_, 700, 350);
#line 433 "../src/window/AccountDialog.vala"
	_tmp3_ = self->priv->crop_widget;
#line 433 "../src/window/AccountDialog.vala"
	crop_widget_set_image (_tmp3_, NULL);
#line 434 "../src/window/AccountDialog.vala"
	_tmp4_ = self->priv->crop_widget;
#line 434 "../src/window/AccountDialog.vala"
	crop_widget_set_desired_aspect_ratio (_tmp4_, 2.0);
#line 435 "../src/window/AccountDialog.vala"
	_tmp5_ = self->priv->crop_widget;
#line 435 "../src/window/AccountDialog.vala"
	crop_widget_set_min_size (_tmp5_, 200);
#line 436 "../src/window/AccountDialog.vala"
	_tmp6_ = self->priv->content_stack;
#line 436 "../src/window/AccountDialog.vala"
	_tmp7_ = self->priv->crop_widget;
#line 436 "../src/window/AccountDialog.vala"
	gtk_stack_set_visible_child (_tmp6_, (GtkWidget*) _tmp7_);
#line 437 "../src/window/AccountDialog.vala"
	account_dialog_show_crop_image_selector (self);
#line 438 "../src/window/AccountDialog.vala"
	_tmp8_ = self->priv->save_button;
#line 438 "../src/window/AccountDialog.vala"
	gtk_button_set_label (_tmp8_, _ ("Pick"));
#line 3280 "AccountDialog.c"
}

static void
_account_dialog_banner_clicked_cb_avatar_banner_widget_banner_clicked (AvatarBannerWidget* _sender,
                                                                       gpointer self)
{
#line 19 "../src/window/AccountDialog.vala"
	account_dialog_banner_clicked_cb ((AccountDialog*) self);
#line 3289 "AccountDialog.c"
}

static void
account_dialog_cancel_button_clicked_cb (AccountDialog* self)
{
	gboolean _tmp0_ = FALSE;
	GtkStack* _tmp1_;
	GtkWidget* _tmp2_;
	GtkWidget* _tmp3_;
	CropWidget* _tmp4_;
#line 442 "../src/window/AccountDialog.vala"
	g_return_if_fail (self != NULL);
#line 443 "../src/window/AccountDialog.vala"
	_tmp1_ = self->priv->content_stack;
#line 443 "../src/window/AccountDialog.vala"
	_tmp2_ = gtk_stack_get_visible_child (_tmp1_);
#line 443 "../src/window/AccountDialog.vala"
	_tmp3_ = _tmp2_;
#line 443 "../src/window/AccountDialog.vala"
	_tmp4_ = self->priv->crop_widget;
#line 443 "../src/window/AccountDialog.vala"
	if (_tmp3_ == G_TYPE_CHECK_INSTANCE_CAST (_tmp4_, gtk_widget_get_type (), GtkWidget)) {
#line 443 "../src/window/AccountDialog.vala"
		_tmp0_ = TRUE;
#line 3314 "AccountDialog.c"
	} else {
		GtkStack* _tmp5_;
		GtkWidget* _tmp6_;
		GtkWidget* _tmp7_;
		GtkLabel* _tmp8_;
#line 444 "../src/window/AccountDialog.vala"
		_tmp5_ = self->priv->content_stack;
#line 444 "../src/window/AccountDialog.vala"
		_tmp6_ = gtk_stack_get_visible_child (_tmp5_);
#line 444 "../src/window/AccountDialog.vala"
		_tmp7_ = _tmp6_;
#line 444 "../src/window/AccountDialog.vala"
		_tmp8_ = self->priv->error_label;
#line 444 "../src/window/AccountDialog.vala"
		_tmp0_ = _tmp7_ == G_TYPE_CHECK_INSTANCE_CAST (_tmp8_, gtk_widget_get_type (), GtkWidget);
#line 3330 "AccountDialog.c"
	}
#line 443 "../src/window/AccountDialog.vala"
	if (_tmp0_) {
#line 3334 "AccountDialog.c"
		GtkStack* _tmp9_;
		GtkBox* _tmp10_;
		GtkButton* _tmp11_;
#line 445 "../src/window/AccountDialog.vala"
		gtk_window_resize ((GtkWindow*) self, self->priv->old_width, self->priv->old_height);
#line 446 "../src/window/AccountDialog.vala"
		self->priv->old_width = 0;
#line 447 "../src/window/AccountDialog.vala"
		self->priv->old_height = 0;
#line 449 "../src/window/AccountDialog.vala"
		_tmp9_ = self->priv->content_stack;
#line 449 "../src/window/AccountDialog.vala"
		_tmp10_ = self->priv->info_box;
#line 449 "../src/window/AccountDialog.vala"
		gtk_stack_set_visible_child (_tmp9_, (GtkWidget*) _tmp10_);
#line 450 "../src/window/AccountDialog.vala"
		_tmp11_ = self->priv->save_button;
#line 450 "../src/window/AccountDialog.vala"
		gtk_button_set_label (_tmp11_, _ ("Save"));
#line 3354 "AccountDialog.c"
	} else {
#line 452 "../src/window/AccountDialog.vala"
		gtk_widget_destroy ((GtkWidget*) self);
#line 3358 "AccountDialog.c"
	}
}

static void
_account_dialog_cancel_button_clicked_cb_gtk_button_clicked (GtkButton* _sender,
                                                             gpointer self)
{
#line 19 "../src/window/AccountDialog.vala"
	account_dialog_cancel_button_clicked_cb ((AccountDialog*) self);
#line 3368 "AccountDialog.c"
}

static void
account_dialog_save_button_clicked_cb (AccountDialog* self)
{
	GtkStack* _tmp0_;
	GtkWidget* _tmp1_;
	GtkWidget* _tmp2_;
	CropWidget* _tmp3_;
#line 457 "../src/window/AccountDialog.vala"
	g_return_if_fail (self != NULL);
#line 458 "../src/window/AccountDialog.vala"
	_tmp0_ = self->priv->content_stack;
#line 458 "../src/window/AccountDialog.vala"
	_tmp1_ = gtk_stack_get_visible_child (_tmp0_);
#line 458 "../src/window/AccountDialog.vala"
	_tmp2_ = _tmp1_;
#line 458 "../src/window/AccountDialog.vala"
	_tmp3_ = self->priv->crop_widget;
#line 458 "../src/window/AccountDialog.vala"
	if (_tmp2_ == G_TYPE_CHECK_INSTANCE_CAST (_tmp3_, gtk_widget_get_type (), GtkWidget)) {
#line 3390 "AccountDialog.c"
		GdkPixbuf* new_pixbuf = NULL;
		CropWidget* _tmp4_;
		GdkPixbuf* _tmp5_;
		CropWidget* _tmp6_;
		gdouble _tmp7_;
		gdouble _tmp8_;
		GtkButton* _tmp20_;
		GtkStack* _tmp21_;
		GtkBox* _tmp22_;
#line 459 "../src/window/AccountDialog.vala"
		_tmp4_ = self->priv->crop_widget;
#line 459 "../src/window/AccountDialog.vala"
		_tmp5_ = crop_widget_get_cropped_image (_tmp4_);
#line 459 "../src/window/AccountDialog.vala"
		new_pixbuf = _tmp5_;
#line 460 "../src/window/AccountDialog.vala"
		_tmp6_ = self->priv->crop_widget;
#line 460 "../src/window/AccountDialog.vala"
		_tmp7_ = crop_widget_get_desired_aspect_ratio (_tmp6_);
#line 460 "../src/window/AccountDialog.vala"
		_tmp8_ = _tmp7_;
#line 460 "../src/window/AccountDialog.vala"
		if (_tmp8_ == 1.0) {
#line 3414 "AccountDialog.c"
			AvatarBannerWidget* _tmp9_;
			GdkPixbuf* _tmp10_;
			GdkPixbuf* _tmp11_;
			GdkPixbuf* _tmp12_;
#line 462 "../src/window/AccountDialog.vala"
			_tmp9_ = self->priv->avatar_banner_widget;
#line 462 "../src/window/AccountDialog.vala"
			_tmp10_ = new_pixbuf;
#line 462 "../src/window/AccountDialog.vala"
			avatar_banner_widget_set_avatar (_tmp9_, _tmp10_);
#line 463 "../src/window/AccountDialog.vala"
			_tmp11_ = new_pixbuf;
#line 463 "../src/window/AccountDialog.vala"
			_tmp12_ = _g_object_ref0 (_tmp11_);
#line 463 "../src/window/AccountDialog.vala"
			_g_object_unref0 (self->priv->new_avatar);
#line 463 "../src/window/AccountDialog.vala"
			self->priv->new_avatar = _tmp12_;
#line 3433 "AccountDialog.c"
		} else {
			CropWidget* _tmp13_;
			gdouble _tmp14_;
			gdouble _tmp15_;
#line 464 "../src/window/AccountDialog.vala"
			_tmp13_ = self->priv->crop_widget;
#line 464 "../src/window/AccountDialog.vala"
			_tmp14_ = crop_widget_get_desired_aspect_ratio (_tmp13_);
#line 464 "../src/window/AccountDialog.vala"
			_tmp15_ = _tmp14_;
#line 464 "../src/window/AccountDialog.vala"
			if (_tmp15_ == 2.0) {
#line 3446 "AccountDialog.c"
				AvatarBannerWidget* _tmp16_;
				GdkPixbuf* _tmp17_;
				GdkPixbuf* _tmp18_;
				GdkPixbuf* _tmp19_;
#line 466 "../src/window/AccountDialog.vala"
				_tmp16_ = self->priv->avatar_banner_widget;
#line 466 "../src/window/AccountDialog.vala"
				_tmp17_ = new_pixbuf;
#line 466 "../src/window/AccountDialog.vala"
				avatar_banner_widget_set_banner (_tmp16_, _tmp17_);
#line 467 "../src/window/AccountDialog.vala"
				_tmp18_ = new_pixbuf;
#line 467 "../src/window/AccountDialog.vala"
				_tmp19_ = _g_object_ref0 (_tmp18_);
#line 467 "../src/window/AccountDialog.vala"
				_g_object_unref0 (self->priv->new_banner);
#line 467 "../src/window/AccountDialog.vala"
				self->priv->new_banner = _tmp19_;
#line 3465 "AccountDialog.c"
			} else {
#line 469 "../src/window/AccountDialog.vala"
				g_assert_not_reached ();
#line 3469 "AccountDialog.c"
			}
		}
#line 471 "../src/window/AccountDialog.vala"
		_tmp20_ = self->priv->save_button;
#line 471 "../src/window/AccountDialog.vala"
		gtk_button_set_label (_tmp20_, _ ("Save"));
#line 472 "../src/window/AccountDialog.vala"
		_tmp21_ = self->priv->content_stack;
#line 472 "../src/window/AccountDialog.vala"
		_tmp22_ = self->priv->info_box;
#line 472 "../src/window/AccountDialog.vala"
		gtk_stack_set_visible_child (_tmp21_, (GtkWidget*) _tmp22_);
#line 458 "../src/window/AccountDialog.vala"
		_g_object_unref0 (new_pixbuf);
#line 3484 "AccountDialog.c"
	} else {
#line 474 "../src/window/AccountDialog.vala"
		account_dialog_save_data (self);
#line 475 "../src/window/AccountDialog.vala"
		gtk_widget_destroy ((GtkWidget*) self);
#line 3490 "AccountDialog.c"
	}
}

static void
_account_dialog_save_button_clicked_cb_gtk_button_clicked (GtkButton* _sender,
                                                           gpointer self)
{
#line 19 "../src/window/AccountDialog.vala"
	account_dialog_save_button_clicked_cb ((AccountDialog*) self);
#line 3500 "AccountDialog.c"
}

static void
account_dialog_class_init (AccountDialogClass * klass,
                           gpointer klass_data)
{
#line 19 "../src/window/AccountDialog.vala"
	account_dialog_parent_class = g_type_class_peek_parent (klass);
#line 19 "../src/window/AccountDialog.vala"
	g_type_class_adjust_private_offset (klass, &AccountDialog_private_offset);
#line 19 "../src/window/AccountDialog.vala"
	((GtkWidgetClass *) klass)->destroy = (void (*) (GtkWidget*)) account_dialog_real_destroy;
#line 19 "../src/window/AccountDialog.vala"
	G_OBJECT_CLASS (klass)->finalize = account_dialog_finalize;
#line 19 "../src/window/AccountDialog.vala"
	gtk_widget_class_set_template_from_resource (GTK_WIDGET_CLASS (klass), "/uk/co/ibboard/cawbird/ui/account-dialog.ui");
#line 19 "../src/window/AccountDialog.vala"
	gtk_widget_class_bind_template_child_full (GTK_WIDGET_CLASS (klass), "name_entry", FALSE, AccountDialog_private_offset + G_STRUCT_OFFSET (AccountDialogPrivate, name_entry));
#line 19 "../src/window/AccountDialog.vala"
	gtk_widget_class_bind_template_child_full (GTK_WIDGET_CLASS (klass), "avatar_banner_widget", FALSE, AccountDialog_private_offset + G_STRUCT_OFFSET (AccountDialogPrivate, avatar_banner_widget));
#line 19 "../src/window/AccountDialog.vala"
	gtk_widget_class_bind_template_child_full (GTK_WIDGET_CLASS (klass), "delete_stack", FALSE, AccountDialog_private_offset + G_STRUCT_OFFSET (AccountDialogPrivate, delete_stack));
#line 19 "../src/window/AccountDialog.vala"
	gtk_widget_class_bind_template_child_full (GTK_WIDGET_CLASS (klass), "autostart_switch", FALSE, AccountDialog_private_offset + G_STRUCT_OFFSET (AccountDialogPrivate, autostart_switch));
#line 19 "../src/window/AccountDialog.vala"
	gtk_widget_class_bind_template_child_full (GTK_WIDGET_CLASS (klass), "website_entry", FALSE, AccountDialog_private_offset + G_STRUCT_OFFSET (AccountDialogPrivate, website_entry));
#line 19 "../src/window/AccountDialog.vala"
	gtk_widget_class_bind_template_child_full (GTK_WIDGET_CLASS (klass), "description_text_view", FALSE, AccountDialog_private_offset + G_STRUCT_OFFSET (AccountDialogPrivate, description_text_view));
#line 19 "../src/window/AccountDialog.vala"
	gtk_widget_class_bind_template_child_full (GTK_WIDGET_CLASS (klass), "crop_widget", FALSE, AccountDialog_private_offset + G_STRUCT_OFFSET (AccountDialogPrivate, crop_widget));
#line 19 "../src/window/AccountDialog.vala"
	gtk_widget_class_bind_template_child_full (GTK_WIDGET_CLASS (klass), "content_stack", FALSE, AccountDialog_private_offset + G_STRUCT_OFFSET (AccountDialogPrivate, content_stack));
#line 19 "../src/window/AccountDialog.vala"
	gtk_widget_class_bind_template_child_full (GTK_WIDGET_CLASS (klass), "info_box", FALSE, AccountDialog_private_offset + G_STRUCT_OFFSET (AccountDialogPrivate, info_box));
#line 19 "../src/window/AccountDialog.vala"
	gtk_widget_class_bind_template_child_full (GTK_WIDGET_CLASS (klass), "error_label", FALSE, AccountDialog_private_offset + G_STRUCT_OFFSET (AccountDialogPrivate, error_label));
#line 19 "../src/window/AccountDialog.vala"
	gtk_widget_class_bind_template_child_full (GTK_WIDGET_CLASS (klass), "save_button", FALSE, AccountDialog_private_offset + G_STRUCT_OFFSET (AccountDialogPrivate, save_button));
#line 19 "../src/window/AccountDialog.vala"
	gtk_widget_class_bind_template_child_full (GTK_WIDGET_CLASS (klass), "description_length_label", FALSE, AccountDialog_private_offset + G_STRUCT_OFFSET (AccountDialogPrivate, description_length_label));
#line 19 "../src/window/AccountDialog.vala"
	gtk_widget_class_bind_template_callback_full (GTK_WIDGET_CLASS (klass), "delete_button_clicked_cb", G_CALLBACK(_account_dialog_delete_button_clicked_cb_gtk_button_clicked));
#line 19 "../src/window/AccountDialog.vala"
	gtk_widget_class_bind_template_callback_full (GTK_WIDGET_CLASS (klass), "delete_confirm_button_clicked_cb", G_CALLBACK(_account_dialog_delete_confirm_button_clicked_cb_gtk_button_clicked));
#line 19 "../src/window/AccountDialog.vala"
	gtk_widget_class_bind_template_callback_full (GTK_WIDGET_CLASS (klass), "delete_cancel_button_clicked_cb", G_CALLBACK(_account_dialog_delete_cancel_button_clicked_cb_gtk_button_clicked));
#line 19 "../src/window/AccountDialog.vala"
	gtk_widget_class_bind_template_callback_full (GTK_WIDGET_CLASS (klass), "autostart_switch_activate_cb", G_CALLBACK(_account_dialog_autostart_switch_activate_cb_g_object_notify));
#line 19 "../src/window/AccountDialog.vala"
	gtk_widget_class_bind_template_callback_full (GTK_WIDGET_CLASS (klass), "avatar_clicked_cb", G_CALLBACK(_account_dialog_avatar_clicked_cb_avatar_banner_widget_avatar_clicked));
#line 19 "../src/window/AccountDialog.vala"
	gtk_widget_class_bind_template_callback_full (GTK_WIDGET_CLASS (klass), "banner_clicked_cb", G_CALLBACK(_account_dialog_banner_clicked_cb_avatar_banner_widget_banner_clicked));
#line 19 "../src/window/AccountDialog.vala"
	gtk_widget_class_bind_template_callback_full (GTK_WIDGET_CLASS (klass), "cancel_button_clicked_cb", G_CALLBACK(_account_dialog_cancel_button_clicked_cb_gtk_button_clicked));
#line 19 "../src/window/AccountDialog.vala"
	gtk_widget_class_bind_template_callback_full (GTK_WIDGET_CLASS (klass), "save_button_clicked_cb", G_CALLBACK(_account_dialog_save_button_clicked_cb_gtk_button_clicked));
#line 3557 "AccountDialog.c"
}

static void
account_dialog_instance_init (AccountDialog * self,
                              gpointer klass)
{
#line 19 "../src/window/AccountDialog.vala"
	self->priv = account_dialog_get_instance_private (self);
#line 52 "../src/window/AccountDialog.vala"
	self->priv->new_avatar = NULL;
#line 53 "../src/window/AccountDialog.vala"
	self->priv->new_banner = NULL;
#line 55 "../src/window/AccountDialog.vala"
	self->priv->old_width = 0;
#line 56 "../src/window/AccountDialog.vala"
	self->priv->old_height = 0;
#line 58 "../src/window/AccountDialog.vala"
	self->priv->account_was_not_initied = FALSE;
#line 19 "../src/window/AccountDialog.vala"
	g_type_ensure (TYPE_AVATAR_BANNER_WIDGET);
#line 19 "../src/window/AccountDialog.vala"
	g_type_ensure (TYPE_COMPLETION_TEXT_VIEW);
#line 19 "../src/window/AccountDialog.vala"
	g_type_ensure (TYPE_CROP_WIDGET);
#line 19 "../src/window/AccountDialog.vala"
	gtk_widget_init_template (GTK_WIDGET (self));
#line 3584 "AccountDialog.c"
}

static void
account_dialog_finalize (GObject * obj)
{
	AccountDialog * self;
#line 19 "../src/window/AccountDialog.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, TYPE_ACCOUNT_DIALOG, AccountDialog);
#line 49 "../src/window/AccountDialog.vala"
	_g_free0 (self->priv->old_user_name);
#line 50 "../src/window/AccountDialog.vala"
	_g_free0 (self->priv->old_description);
#line 51 "../src/window/AccountDialog.vala"
	_g_free0 (self->priv->old_website);
#line 52 "../src/window/AccountDialog.vala"
	_g_object_unref0 (self->priv->new_avatar);
#line 53 "../src/window/AccountDialog.vala"
	_g_object_unref0 (self->priv->new_banner);
#line 19 "../src/window/AccountDialog.vala"
	G_OBJECT_CLASS (account_dialog_parent_class)->finalize (obj);
#line 3605 "AccountDialog.c"
}

static GType
account_dialog_get_type_once (void)
{
	static const GTypeInfo g_define_type_info = { sizeof (AccountDialogClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) account_dialog_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (AccountDialog), 0, (GInstanceInitFunc) account_dialog_instance_init, NULL };
	GType account_dialog_type_id;
	account_dialog_type_id = g_type_register_static (gtk_window_get_type (), "AccountDialog", &g_define_type_info, 0);
	AccountDialog_private_offset = g_type_add_instance_private (account_dialog_type_id, sizeof (AccountDialogPrivate));
	return account_dialog_type_id;
}

GType
account_dialog_get_type (void)
{
	static volatile gsize account_dialog_type_id__once = 0;
	if (g_once_init_enter (&account_dialog_type_id__once)) {
		GType account_dialog_type_id;
		account_dialog_type_id = account_dialog_get_type_once ();
		g_once_init_leave (&account_dialog_type_id__once, account_dialog_type_id);
	}
	return account_dialog_type_id__once;
}

static void
_vala_array_destroy (gpointer array,
                     gssize array_length,
                     GDestroyNotify destroy_func)
{
	if ((array != NULL) && (destroy_func != NULL)) {
		gssize i;
		for (i = 0; i < array_length; i = i + 1) {
			if (((gpointer*) array)[i] != NULL) {
				destroy_func (((gpointer*) array)[i]);
			}
		}
	}
}

static void
_vala_array_free (gpointer array,
                  gssize array_length,
                  GDestroyNotify destroy_func)
{
	_vala_array_destroy (array, array_length, destroy_func);
	g_free (array);
}

static gssize
_vala_array_length (gpointer array)
{
	gssize length;
	length = 0;
	if (array) {
		while (((gpointer*) array)[length]) {
			length++;
		}
	}
	return length;
}

static inline gpointer
_vala_memdup2 (gconstpointer mem,
               gsize byte_size)
{
	gpointer new_mem;
	if (mem && byte_size != 0) {
		new_mem = g_malloc (byte_size);
		memcpy (new_mem, mem, byte_size);
	} else {
		new_mem = NULL;
	}
	return new_mem;
}

